Index: branches/version-2_12-dev/data/Smarty/templates/admin/order/disp.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/admin/order/disp.tpl	(revision 21867)
+++ branches/version-2_12-dev/data/Smarty/templates/admin/order/disp.tpl	(revision 22197)
@@ -141,6 +141,8 @@
                 <!--{assign var=price value=`$arrForm.price.value[$product_index]`}-->
                 <!--{assign var=quantity value=`$arrForm.quantity.value[$product_index]`}-->
-                <td class="right"><!--{$price|sfCalcIncTax|number_format}--> 円</td>
-                <td class="right"><!--{$price|sfCalcIncTax|sfMultiply:$quantity|number_format}-->円</td>
+                <!--{assign var=tax_rate value=`$arrForm.tax_rate.value[$product_index]`}-->
+                <!--{assign var=tax_rule value=`$arrForm.tax_rule.value[$product_index]`}-->
+                <td class="right"><!--{$price|sfCalcIncTax:$tax_rate:$tax_rule|number_format}--> 円(税率<!--{$tax_rate|number_format}-->%)</td>
+                <td class="right"><!--{$price|sfCalcIncTax:$tax_rate:$tax_rule|sfMultiply:$quantity|number_format}-->円</td>
         </tr>
         <!--{/section}-->
@@ -219,5 +221,5 @@
                             <td class="right">
                                 <!--{assign var=key value="shipment_price"}-->
-                                <!--{$arrShipping[$key][$item_index]|sfCalcIncTax|number_format}-->円
+                                <!--{$arrShipping[$key][$item_index]|sfCalcIncTax:$arrForm.order_tax_rate.value:$arrForm.order_tax_rule.value|number_format}-->円
                             </td>
                             <td class="right">
Index: branches/version-2_12-dev/data/Smarty/templates/admin/order/edit.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/admin/order/edit.tpl	(revision 22119)
+++ branches/version-2_12-dev/data/Smarty/templates/admin/order/edit.tpl	(revision 22197)
@@ -302,4 +302,6 @@
             <input type="hidden" name="product_class_id[<!--{$product_index}-->]" value="<!--{$arrForm.product_class_id.value[$product_index]|h}-->" id="product_class_id_<!--{$product_index}-->" />
             <input type="hidden" name="point_rate[<!--{$product_index}-->]" value="<!--{$arrForm.point_rate.value[$product_index]|h}-->" id="point_rate_<!--{$product_index}-->" />
+            <input type="hidden" name="tax_rate[<!--{$product_index}-->]" value="<!--{$arrForm.tax_rate.value[$product_index]|h}-->" id="tax_rate_<!--{$product_index}-->" />
+            <input type="hidden" name="tax_rule[<!--{$product_index}-->]" value="<!--{$arrForm.tax_rule.value[$product_index]|h}-->" id="tax_rule_<!--{$product_index}-->" />
             </td>
             <td align="center">
@@ -315,6 +317,8 @@
             <!--{assign var=price value=`$arrForm.price.value[$product_index]`}-->
             <!--{assign var=quantity value=`$arrForm.quantity.value[$product_index]`}-->
-            <td class="right"><!--{$price|sfCalcIncTax|number_format}--> 円</td>
-            <td class="right"><!--{$price|sfCalcIncTax|sfMultiply:$quantity|number_format}-->円</td>
+            <!--{assign var=tax_rate value=`$arrForm.tax_rate.value[$product_index]`}-->
+            <!--{assign var=tax_rule value=`$arrForm.tax_rule.value[$product_index]`}-->
+            <td class="right"><!--{$price|sfCalcIncTax:$tax_rate:$tax_rule|number_format}--> 円(税率<!--{$tax_rate|number_format}-->%)</td>
+            <td class="right"><!--{$price|sfCalcIncTax:$tax_rate:$tax_rule|sfMultiply:$quantity|number_format}-->円</td>
         </tr>
         <!--{/section}-->
@@ -447,5 +451,5 @@
                             <td class="right">
                                 <!--{assign var=key value="shipment_price"}-->
-                                <!--{$arrShipping[$key][$item_index]|sfCalcIncTax|number_format}-->円
+                                <!--{$arrShipping[$key][$item_index]|sfCalcIncTax:$arrForm.order_tax_rate.value:$arrForm.order_tax_rule.value|number_format}-->円
                                 <input type="hidden" name="<!--{$key}-->[<!--{$shipping_index}-->][<!--{$item_index}-->]" value="<!--{$arrShipping[$key][$item_index]|h}-->" />
                             </td>