Index: branches/version-2_12-multilang/data/Smarty/templates/sphone/entry/confirm.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/sphone/entry/confirm.tpl	(revision 21867)
+++ branches/version-2_12-multilang/data/Smarty/templates/sphone/entry/confirm.tpl	(revision 22205)
@@ -46,5 +46,6 @@
             <dt>住所</dt>
             <dd>
-                〒<!--{$arrForm.zip01|h}--> - <!--{$arrForm.zip02|h}--><br />
+                <!--{* 〒<!--{$arrForm.zip01|h}--> - <!--{$arrForm.zip02|h}--><br /> *}-->
+                〒<!--{$arrForm.zipcode|h}--><br />
                 <!--{$arrPref[$arrForm.pref]|h}--><!--{$arrForm.addr01|h}--><!--{$arrForm.addr02|h}-->
             </dd>
Index: branches/version-2_12-multilang/data/Smarty/templates/sphone/frontparts/form_personal_input.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/sphone/frontparts/form_personal_input.tpl	(revision 21867)
+++ branches/version-2_12-multilang/data/Smarty/templates/sphone/frontparts/form_personal_input.tpl	(revision 22205)
@@ -46,15 +46,24 @@
 <dt>郵便番号&nbsp;<span class="attention">※</span></dt>
 <dd>
-    <!--{assign var=key1 value="`$prefix`zip01"}-->
-    <!--{assign var=key2 value="`$prefix`zip02"}-->
+    <!--{* <!--{assign var=key1 value="`$prefix`zip01"}--> *}-->
+    <!--{* <!--{assign var=key2 value="`$prefix`zip02"}--> *}-->
+    <!--{assign var=key1 value="`$prefix`zipcode"}-->
     <!--{assign var=key3 value="`$prefix`pref"}-->
     <!--{assign var=key4 value="`$prefix`addr01"}-->
     <!--{assign var=key5 value="`$prefix`addr02"}-->
+
+    <!--{*
     <!--{if $arrErr[$key1] || $arrErr[$key2]}-->
         <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></div>
     <!--{/if}-->
-    <p><input type="tel" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|h}-->" max="<!--{$smarty.const.ZIP01_LEN}-->" class="boxShort text data-role-none" />&nbsp;－&nbsp;<input type="tel" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|h}-->" maxlength="<!--{$smarty.const.ZIP02_LEN}-->" class="boxShort text data-role-none" />&nbsp;&nbsp;<a href="http://search.post.japanpost.jp/zipcode/" target="_blank" rel="external"><span class="fn">郵便番号検索</span></a></p>
-
-    <a href="javascript:fnCallAddress('<!--{$smarty.const.INPUT_ZIP_URLPATH}-->', '<!--{$key1}-->', '<!--{$key2}-->', '<!--{$key3}-->', '<!--{$key4}-->');" class="btn_sub btn_inputzip">郵便番号から住所自動入力</a>
+    *}-->
+    <!--{if $arrErr[$key1]}-->
+        <div class="attention"><!--{$arrErr[$key1]}--></div>
+    <!--{/if}-->
+
+    <!--{* <p><input type="tel" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|h}-->" max="<!--{$smarty.const.ZIP01_LEN}-->" class="boxShort text data-role-none" />&nbsp;－&nbsp;<input type="tel" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|h}-->" maxlength="<!--{$smarty.const.ZIP02_LEN}-->" class="boxShort text data-role-none" />&nbsp;&nbsp;<a href="http://search.post.japanpost.jp/zipcode/" target="_blank" rel="external"><span class="fn">郵便番号検索</span></a></p> *}-->
+    <p><input type="tel" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|h}-->" max="<!--{$smarty.const.ZIPCODE_LEN}-->" class="boxShort text data-role-none" />&nbsp;&nbsp;<a href="http://search.post.japanpost.jp/zipcode/" target="_blank" rel="external"><span class="fn">郵便番号検索</span></a></p>
+
+    <!--{* <a href="javascript:fnCallAddress('<!--{$smarty.const.INPUT_ZIP_URLPATH}-->', '<!--{$key1}-->', '<!--{$key2}-->', '<!--{$key3}-->', '<!--{$key4}-->');" class="btn_sub btn_inputzip">郵便番号から住所自動入力</a> *}-->
 </dd>
 
Index: branches/version-2_12-multilang/data/Smarty/templates/sphone/order/index.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/sphone/order/index.tpl	(revision 21867)
+++ branches/version-2_12-multilang/data/Smarty/templates/sphone/order/index.tpl	(revision 22205)
@@ -32,5 +32,6 @@
 
         <dt>住所</dt>
-        <dd>〒<!--{$arrOrder.law_zip01|h}-->-<!--{$arrOrder.law_zip02|h}--><br /><!--{$arrPref[$arrOrder.law_pref]|h}--><!--{$arrOrder.law_addr01|h}--><!--{$arrOrder.law_addr02|h}--></dd>
+        <!--{* <dd>〒<!--{$arrOrder.law_zip01|h}-->-<!--{$arrOrder.law_zip02|h}--><br /><!--{$arrPref[$arrOrder.law_pref]|h}--><!--{$arrOrder.law_addr01|h}--><!--{$arrOrder.law_addr02|h}--></dd> *}-->
+        <dd>〒<!--{$arrOrder.law_zipcode|h}--><br /><!--{$arrPref[$arrOrder.law_pref]|h}--><!--{$arrOrder.law_addr01|h}--><!--{$arrOrder.law_addr02|h}--></dd>
 
         <dt>電話番号</dt>
Index: branches/version-2_12-multilang/data/Smarty/templates/sphone/mypage/change_confirm.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/sphone/mypage/change_confirm.tpl	(revision 21867)
+++ branches/version-2_12-multilang/data/Smarty/templates/sphone/mypage/change_confirm.tpl	(revision 22205)
@@ -53,5 +53,6 @@
             <dt>住所</dt>
             <dd>
-                〒<!--{$arrForm.zip01}-->-<!--{$arrForm.zip02}--><br />
+                <!--{* 〒<!--{$arrForm.zip01}-->-<!--{$arrForm.zip02}--><br /> *}-->
+                〒<!--{$arrForm.zipcode}--><br />
                 <!--{$arrPref[$arrForm.pref]}--><!--{$arrForm.addr01|h}--><!--{$arrForm.addr02|h}-->
             </dd>
Index: branches/version-2_12-multilang/data/Smarty/templates/sphone/mypage/delivery.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/sphone/mypage/delivery.tpl	(revision 21867)
+++ branches/version-2_12-multilang/data/Smarty/templates/sphone/mypage/delivery.tpl	(revision 22205)
@@ -59,5 +59,6 @@
                             <!--{assign var=OtherPref value="`$arrOtherDeliv[cnt].pref`"}-->
                             <p><em><span class="zip_title">お届け先住所<!--{$smarty.section.cnt.iteration}--></span></em>：<br />
-                                〒<span class="zip01"><!--{$arrOtherDeliv[cnt].zip01}--></span>-<span class="zip02"><!--{$arrOtherDeliv[cnt].zip02}--></span><br />
+                                <!--{* 〒<span class="zip01"><!--{$arrOtherDeliv[cnt].zip01}--></span>-<span class="zip02"><!--{$arrOtherDeliv[cnt].zip02}--></span><br /> *}-->
+                                〒<span class="zipcode"><!--{$arrOtherDeliv[cnt].zipcode}--></span><br />
                                 <span class="address"><!--{$arrPref[$OtherPref]|h}--><!--{$arrOtherDeliv[cnt].addr01|h}--><!--{$arrOtherDeliv[cnt].addr02|h}--></span><br />
                                 <span class="name01"><!--{$arrOtherDeliv[cnt].name01|h}--></span>&nbsp;<span class="name02"><!--{$arrOtherDeliv[cnt].name02|h}--></span></p>
@@ -133,7 +134,9 @@
                         $($(".delivBox span.zip_title").get(maxCnt)).text('お届け先住所' + count);
                         //郵便番号1をセット
-                        $($(".delivBox span.zip01").get(maxCnt)).text(delivery.zip01);
+//                        $($(".delivBox span.zip01").get(maxCnt)).text(delivery.zip01);
                         //郵便番号2をセット
-                        $($(".delivBox span.zip02").get(maxCnt)).text(delivery.zip02);
+//                        $($(".delivBox span.zip02").get(maxCnt)).text(delivery.zip02);
+                        //郵便番号をセット
+                        $($(".delivBox span.zipcode").get(maxCnt)).text(delivery.zipcode);
                         //住所をセット
                         $($(".delivBox span.address").get(maxCnt)).text(delivery.prefname + delivery.addr01 + delivery.addr02);
Index: branches/version-2_12-multilang/data/Smarty/templates/sphone/shopping/confirm.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/sphone/shopping/confirm.tpl	(revision 21867)
+++ branches/version-2_12-multilang/data/Smarty/templates/sphone/shopping/confirm.tpl	(revision 22205)
@@ -182,5 +182,9 @@
                                 <dt>お届け先<!--{if $is_multiple}--><!--{$smarty.foreach.shippingItem.iteration}--><!--{/if}--></dt>
                                 <dd>
+                                    <!--{*
                                     <p>〒<!--{$shippingItem.shipping_zip01|h}-->-<!--{$shippingItem.shipping_zip02|h}--><br />
+                                        <!--{$arrPref[$shippingItem.shipping_pref]}--><!--{$shippingItem.shipping_addr01|h}--><!--{$shippingItem.shipping_addr02|h}--></p>
+                                    *}-->
+                                    <p>〒<!--{$shippingItem.shipping_zipcode|h}--><br />
                                         <!--{$arrPref[$shippingItem.shipping_pref]}--><!--{$shippingItem.shipping_addr01|h}--><!--{$shippingItem.shipping_addr02|h}--></p>
                                     <p class="deliv_name"><!--{$shippingItem.shipping_name01|h}--> <!--{$shippingItem.shipping_name02|h}--></p>
Index: branches/version-2_12-multilang/data/Smarty/templates/sphone/shopping/nonmember_input.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/sphone/shopping/nonmember_input.tpl	(revision 21867)
+++ branches/version-2_12-multilang/data/Smarty/templates/sphone/shopping/nonmember_input.tpl	(revision 22205)
@@ -89,8 +89,13 @@
             <dt>郵便番号&nbsp;<span class="attention">※</span></dt>
             <dd>
-                <!--{assign var=key1 value="order_zip01"}-->
-                <!--{assign var=key2 value="order_zip02"}-->
-                <span class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></span>
+                <!--{* <!--{assign var=key1 value="order_zip01"}--> *}-->
+                <!--{* <!--{assign var=key2 value="order_zip02"}--> *}-->
+                <!--{assign var=key value="order_zipcode"}-->
+
+                <!--{* <span class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></span> *}-->
+                <span class="attention"><!--{$arrErr[$key]}--></span>
+
                 <p>
+                    <!--{*
                     <input type="tel" name="<!--{$key1}-->"
                         value="<!--{$arrForm[$key1].value|h}-->"
@@ -101,8 +106,13 @@
                         max="<!--{$arrForm[$key2].length}-->"
                         style="<!--{$arrErr[$key2]|sfGetErrorColor}-->" class="boxShort text data-role-none" />&nbsp;
+                    *}-->
+                    <input type="tel" name="<!--{$key}-->"
+                        value="<!--{$arrForm[$key].value|h}-->"
+                        max="<!--{$arrForm[$key].length}-->"
+                        style="<!--{$arrErr[$key]|sfGetErrorColor}-->" class="boxShort text data-role-none" />&nbsp;
                     <a href="http://search.post.japanpost.jp/zipcode/" target="_blank"><span class="fn">郵便番号検索</span></a>
                 </p>
 
-                <a href="javascript:fnCallAddress('<!--{$smarty.const.INPUT_ZIP_URLPATH}-->', 'order_zip01', 'order_zip02', 'order_pref', 'order_addr01');" class="btn_sub btn_inputzip">郵便番号から住所自動入力</a>
+                <!--{* <a href="javascript:fnCallAddress('<!--{$smarty.const.INPUT_ZIP_URLPATH}-->', 'order_zip01', 'order_zip02', 'order_pref', 'order_addr01');" class="btn_sub btn_inputzip">郵便番号から住所自動入力</a> *}-->
             </dd>
 
@@ -275,8 +285,12 @@
                 <dt>郵便番号&nbsp;<span class="attention">※</span></dt>
                 <dd>
-                    <!--{assign var=key1 value="shipping_zip01"}-->
-                    <!--{assign var=key2 value="shipping_zip02"}-->
-                    <span class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></span>
+                    <!--{* <!--{assign var=key1 value="shipping_zip01"}--> *}-->
+                    <!--{* <!--{assign var=key2 value="shipping_zip02"}--> *}-->
+                    <!--{assign var=key value="shipping_zipcode"}-->
+                    
+                    <!--{* <span class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></span> *}-->
+                    <span class="attention"><!--{$arrErr[$key]}--></span>
                     <p>
+                        <!--{*
                         <input type="tel" name="<!--{$key1}-->"
                             value="<!--{$arrForm[$key1].value|h}-->"
@@ -287,8 +301,13 @@
                             max="<!--{$arrForm[$key2].length}-->"
                             style="<!--{$arrErr[$key2]|sfGetErrorColor}-->" class="boxShort text data-role-none" />&nbsp;
+                        *}-->
+                        <input type="tel" name="<!--{$key}-->"
+                            value="<!--{$arrForm[$key].value|h}-->"
+                            max="<!--{$arrForm[$key].length}-->"
+                            style="<!--{$arrErr[$key]|sfGetErrorColor}-->" class="boxShort text data-role-none" />&nbsp;
                         <a href="http://search.post.japanpost.jp/zipcode/" target="_blank"><span class="fn">郵便番号検索</span></a>
                     </p>
 
-                    <a href="javascript:fnCallAddress('<!--{$smarty.const.INPUT_ZIP_URLPATH}-->', 'shipping_zip01', 'shipping_zip02', 'shipping_pref', 'shipping_addr01');" class="btn_sub btn_inputzip">郵便番号から住所自動入力</a>
+                    <!--{* <a href="javascript:fnCallAddress('<!--{$smarty.const.INPUT_ZIP_URLPATH}-->', 'shipping_zip01', 'shipping_zip02', 'shipping_pref', 'shipping_addr01');" class="btn_sub btn_inputzip">郵便番号から住所自動入力</a> *}-->
                 </dd>
 
Index: branches/version-2_12-multilang/data/Smarty/templates/sphone/contact/index.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/sphone/contact/index.tpl	(revision 22122)
+++ branches/version-2_12-multilang/data/Smarty/templates/sphone/contact/index.tpl	(revision 22205)
@@ -71,10 +71,13 @@
             <dt>郵便番号</dt>
             <dd>
-                <!--{assign var=key1 value="`$prefix`zip01"}-->
-                <!--{assign var=key2 value="`$prefix`zip02"}-->
+                <!--{* <!--{assign var=key1 value="`$prefix`zip01"}--> *}-->
+                <!--{* <!--{assign var=key2 value="`$prefix`zip02"}--> *}-->
+                <!--{assign var=key1 value="`$prefix`zipcode"}-->
                 <!--{assign var=key3 value="`$prefix`pref"}-->
                 <!--{assign var=key4 value="`$prefix`addr01"}-->
-                <span class="attention"><!--{$arrErr.zip01}--><!--{$arrErr.zip02}--></span>
+                <!--{* <span class="attention"><!--{$arrErr.zip01}--><!--{$arrErr.zip02}--></span> *}-->
+                <span class="attention"><!--{$arrErr.zipcode}--></span>
                 <p>
+                    <!--{*
                     <input type="tel" name="zip01"
                         value="<!--{$arrForm.zip01.value|default:$arrData.zip01|h}-->"
@@ -84,7 +87,13 @@
                         max="<!--{$smarty.const.ZIP02_LEN}-->"
                         style="<!--{$arrErr.zip02|sfGetErrorColor}-->; ime-mode: disabled;" class="boxShort text data-role-none" />&nbsp;&nbsp;<a href="http://search.post.japanpost.jp/zipcode/" target="_blank" rel="external"><span class="fn">郵便番号検索</span></a>
+                    *}-->
+                    <input type="tel" name="zipcode"
+                        value="<!--{$arrForm.zipcode.value|default:$arrData.zipcode|h}-->"
+                        max="<!--{$smarty.const.ZIPCODE_LEN}-->"
+                        style="<!--{$arrErr.zipcode|sfGetErrorColor}-->; ime-mode: disabled;" class="boxShort text data-role-none" />
+                        &nbsp;&nbsp;<a href="http://search.post.japanpost.jp/zipcode/" target="_blank" rel="external"><span class="fn">郵便番号検索</span></a>
                 </p>
 
-                <a href="javascript:fnCallAddress('<!--{$smarty.const.INPUT_ZIP_URLPATH}-->', '<!--{$key1}-->', '<!--{$key2}-->', '<!--{$key3}-->', '<!--{$key4}-->');" class="btn_sub btn_inputzip" rel="external">郵便番号から住所自動入力</a>
+                <!--{* <a href="javascript:fnCallAddress('<!--{$smarty.const.INPUT_ZIP_URLPATH}-->', '<!--{$key1}-->', '<!--{$key2}-->', '<!--{$key3}-->', '<!--{$key4}-->');" class="btn_sub btn_inputzip" rel="external">郵便番号から住所自動入力</a> *}-->
             </dd>
 
Index: branches/version-2_12-multilang/data/Smarty/templates/sphone/contact/confirm.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/sphone/contact/confirm.tpl	(revision 22122)
+++ branches/version-2_12-multilang/data/Smarty/templates/sphone/contact/confirm.tpl	(revision 22205)
@@ -47,6 +47,11 @@
             <dt>住所</dt>
             <dd>
+                <!--{*
                 <!--{if strlen($arrForm.zip01.value) > 0 && strlen($arrForm.zip02.value) > 0}-->
                 〒<!--{$arrForm.zip01.value|h}-->-<!--{$arrForm.zip02.value|h}-->
+                <!--{/if}--><br />
+                *}-->
+                <!--{if strlen($arrForm.zipcode.value) > 0}-->
+                〒<!--{$arrForm.zipcode.value|h}-->
                 <!--{/if}--><br />
                 <!--{$arrPref[$arrForm.pref.value]}--><!--{$arrForm.addr01.value|h}--><!--{$arrForm.addr02.value|h}-->
Index: branches/version-2_12-multilang/data/Smarty/templates/sphone/abouts/index.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/sphone/abouts/index.tpl	(revision 21867)
+++ branches/version-2_12-multilang/data/Smarty/templates/sphone/abouts/index.tpl	(revision 22205)
@@ -65,7 +65,14 @@
         <!--{/if}-->
 
+        <!--{*
         <!--{if strlen($objSiteInfo->data.zip01)}-->
             <dt>所在地</dt>
             <dd>〒<!--{$objSiteInfo->data.zip01|h}-->-<!--{$objSiteInfo->data.zip02|h}--><br />
+                <!--{$objSiteInfo->data.pref|h}--><!--{$objSiteInfo->data.addr01|h}--><!--{$objSiteInfo->data.addr02|h}--></dd>
+        <!--{/if}-->
+        *}-->
+        <!--{if strlen($objSiteInfo->data.zipcode)}-->
+            <dt>所在地</dt>
+            <dd>〒<!--{$objSiteInfo->data.zipcode|h}--><br />
                 <!--{$objSiteInfo->data.pref|h}--><!--{$objSiteInfo->data.addr01|h}--><!--{$objSiteInfo->data.addr02|h}--></dd>
         <!--{/if}-->