Index: branches/version-2_12-multilang/data/Smarty/templates/admin/main_frame.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/admin/main_frame.tpl	(revision 22212)
+++ branches/version-2_12-multilang/data/Smarty/templates/admin/main_frame.tpl	(revision 22213)
@@ -53,4 +53,5 @@
 <link rel="stylesheet" href="<!--{$smarty.const.ROOT_URLPATH}-->js/jquery.ui/smoothness/jquery-ui-1.8.24.custom.css" type="text/css" media="all" />
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/jquery.ui/jquery-ui-i18n.js"></script>
+<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/jquery.ui/ui-datepicker-<!--{$smarty.const.LANG_CODE}-->.js"></script> 
 <title><!--{$smarty.const.ADMIN_TITLE}--></title>
 <link rel="shortcut icon" href="<!--{$TPL_URLPATH}-->img/common/favicon.ico" />
Index: branches/version-2_12-multilang/data/Smarty/templates/admin/contents/index.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/admin/contents/index.tpl	(revision 22212)
+++ branches/version-2_12-multilang/data/Smarty/templates/admin/contents/index.tpl	(revision 22213)
@@ -106,5 +106,4 @@
 
 	$(function(){
-		$.datepicker.setDefaults( $.datepicker.regional[ "<!--{$smarty.const.LANG_CODE}-->" ] );
 		
 		$( "#datepicker" ).datepicker({
Index: branches/version-2_12-multilang/data/Smarty/templates/admin/customer/edit.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/admin/customer/edit.tpl	(revision 22212)
+++ branches/version-2_12-multilang/data/Smarty/templates/admin/customer/edit.tpl	(revision 22213)
@@ -32,5 +32,4 @@
 	
 	$(function(){
-		$.datepicker.setDefaults( $.datepicker.regional[ "<!--{$smarty.const.LANG_CODE}-->" ] );
 		
 		$( "#datepickercustomer_edit" ).datepicker({
Index: branches/version-2_12-multilang/data/Smarty/templates/admin/customer/index.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/admin/customer/index.tpl	(revision 22212)
+++ branches/version-2_12-multilang/data/Smarty/templates/admin/customer/index.tpl	(revision 22213)
@@ -54,5 +54,4 @@
 	
 	$(function(){
-		$.datepicker.setDefaults( $.datepicker.regional[ "<!--{$smarty.const.LANG_CODE}-->" ] );
 		
 		$( "#datepickercustomersearch_b_start" ).datepicker({
Index: branches/version-2_12-multilang/data/Smarty/templates/admin/basis/holiday.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/admin/basis/holiday.tpl	(revision 22212)
+++ branches/version-2_12-multilang/data/Smarty/templates/admin/basis/holiday.tpl	(revision 22213)
@@ -26,5 +26,4 @@
 <!--
 $(function(){
-		$.datepicker.setDefaults( $.datepicker.regional[ "<!--{$smarty.const.LANG_CODE}-->" ] );
 		
 		$( "#datepicker" ).datepicker({
Index: branches/version-2_12-multilang/data/Smarty/templates/admin/products/index.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/admin/products/index.tpl	(revision 22212)
+++ branches/version-2_12-multilang/data/Smarty/templates/admin/products/index.tpl	(revision 22213)
@@ -55,5 +55,4 @@
 
 $(function(){
-	$.datepicker.setDefaults( $.datepicker.regional[ "<!--{$smarty.const.LANG_CODE}-->" ] );
 	
 	$( "#datepickersearch_start" ).datepicker({
Index: branches/version-2_12-multilang/data/Smarty/templates/admin/order/edit.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/admin/order/edit.tpl	(revision 22212)
+++ branches/version-2_12-multilang/data/Smarty/templates/admin/order/edit.tpl	(revision 22213)
@@ -82,5 +82,4 @@
 	
 	$(function(){
-		$.datepicker.setDefaults( $.datepicker.regional[ "<!--{$smarty.const.LANG_CODE}-->" ] );
 		
 		<!--{foreach name=shipping from=$arrAllShipping item=arrShipping key=shipping_index}-->
Index: branches/version-2_12-multilang/data/Smarty/templates/admin/order/index.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/admin/order/index.tpl	(revision 22212)
+++ branches/version-2_12-multilang/data/Smarty/templates/admin/order/index.tpl	(revision 22213)
@@ -111,5 +111,4 @@
 	
 	$(function(){
-		$.datepicker.setDefaults( $.datepicker.regional[ "<!--{$smarty.const.LANG_CODE}-->" ] );
 		
 		$( "#datepickersearch_sbirth" ).datepicker({
Index: branches/version-2_12-multilang/data/Smarty/templates/admin/mail/index.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/admin/mail/index.tpl	(revision 22212)
+++ branches/version-2_12-multilang/data/Smarty/templates/admin/mail/index.tpl	(revision 22213)
@@ -54,5 +54,4 @@
 	
 	$(function(){
-		$.datepicker.setDefaults( $.datepicker.regional[ "<!--{$smarty.const.LANG_CODE}-->" ] );
 		
 		$( "#datepickercustomersearch_b_start" ).datepicker({
Index: branches/version-2_12-multilang/data/Smarty/templates/admin/total/index.tpl
===================================================================
--- branches/version-2_12-multilang/data/Smarty/templates/admin/total/index.tpl	(revision 22212)
+++ branches/version-2_12-multilang/data/Smarty/templates/admin/total/index.tpl	(revision 22213)
@@ -25,5 +25,4 @@
 <script type="text/javascript">
 $(function(){
-	$.datepicker.setDefaults( $.datepicker.regional[ "<!--{$smarty.const.LANG_CODE}-->" ] );
 	
 	$( "#datepickersearch_start_m" ).datepicker({