Index: /branches/version-2_12-dev/data/Smarty/templates/mobile/mypage/history.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/mobile/mypage/history.tpl	(revision 22206)
+++ /branches/version-2_12-dev/data/Smarty/templates/mobile/mypage/history.tpl	(revision 22215)
@@ -68,9 +68,7 @@
         <!--{assign var=price value=`$orderDetail.price`}-->
         <!--{assign var=quantity value=`$orderDetail.quantity`}-->
-        <!--{assign var=tax_rate value=`$orderDetail.tax_rate`}-->
-        <!--{assign var=tax_rule value=`$orderDetail.tax_rule`}-->
-        <!--{$price|sfCalcIncTax:$tax_rate:$tax_rule|number_format|h}-->円<br>
+        <!--{$price|sfCalcIncTax|number_format|h}-->円<br>
         数量：<!--{$quantity|h}--><br>
-        小計：<!--{$price|sfCalcIncTax:$tax_rate:$tax_rule|sfMultiply:$quantity|number_format}-->円<br>
+        小計：<!--{$price|sfCalcIncTax|sfMultiply:$quantity|number_format}-->円<br>
     <!--{/foreach}-->
     <hr>
@@ -111,5 +109,5 @@
                     <!--{$item.productsClass.class_name2}-->：<!--{$item.productsClass.classcategory_name2}--><br>
                 <!--{/if}-->
-                単価：<!--{$item.price|sfCalcIncTax:$tpl_arrOrderData.order_tax_rate:$tpl_arrOrderData.order_tax_rule|number_format}-->円<br>
+                単価：<!--{$item.price|sfCalcIncTax|number_format}-->円<br>
                 数量：<!--{$item.quantity}--><br>
                 <br>
Index: /branches/version-2_12-dev/data/Smarty/templates/mobile/mail_templates/order_mail.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/mobile/mail_templates/order_mail.tpl	(revision 22206)
+++ /branches/version-2_12-dev/data/Smarty/templates/mobile/mail_templates/order_mail.tpl	(revision 22215)
@@ -45,11 +45,10 @@
 商品コード: <!--{$arrOrderDetail[cnt].product_code}-->
 商品名: <!--{$arrOrderDetail[cnt].product_name}--> <!--{$arrOrderDetail[cnt].classcategory_name1}--> <!--{$arrOrderDetail[cnt].classcategory_name2}-->
-単価：￥ <!--{$arrOrderDetail[cnt].price|sfCalcIncTax:$arrOrderDetail[cnt].tax_rate:$arrOrderDetail[cnt].tax_rule|number_format}-->
+単価：￥ <!--{$arrOrderDetail[cnt].price|sfCalcIncTax|number_format}-->
 数量：<!--{$arrOrderDetail[cnt].quantity}-->
 
 <!--{/section}-->
 
-小　計 ￥ <!--{$arrOrder.subtotal|number_format|default:0}--> <!--{if 0 < $arrOrder.tax}-->(うち消費税 ￥<!--{$arrOrder.tax|number_format|default:0}-->）<!--{/if}-->
-
+小　計 ￥ <!--{$arrOrder.subtotal|number_format|default:0}--> (うち消費税 ￥<!--{$arrOrder.tax|number_format|default:0}-->）
 値引き ￥ <!--{$arrOrder.use_point+$arrOrder.discount|number_format|default:0}-->
 送　料 ￥ <!--{$arrOrder.deliv_fee|number_format|default:0}-->
@@ -74,5 +73,5 @@
 商品コード: <!--{$item.product_code}-->
 商品名: <!--{$item.product_name}--> <!--{$item.classcategory_name1}--> <!--{$item.classcategory_name2}-->
-単価：￥ <!--{$item.price|sfCalcIncTax:$arrOrder.order_tax_rate:$arrOrder.order_tax_rule|number_format}-->
+単価：￥ <!--{$item.price|sfCalcIncTax|number_format}-->
 数量：<!--{$item.quantity}-->
 
Index: /branches/version-2_12-dev/data/Smarty/templates/admin/order/disp.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/admin/order/disp.tpl	(revision 22206)
+++ /branches/version-2_12-dev/data/Smarty/templates/admin/order/disp.tpl	(revision 22215)
@@ -141,8 +141,6 @@
                 <!--{assign var=price value=`$arrForm.price.value[$product_index]`}-->
                 <!--{assign var=quantity value=`$arrForm.quantity.value[$product_index]`}-->
-                <!--{assign var=tax_rate value=`$arrForm.tax_rate.value[$product_index]`}-->
-                <!--{assign var=tax_rule value=`$arrForm.tax_rule.value[$product_index]`}-->
-                <td class="right"><!--{$price|sfCalcIncTax:$tax_rate:$tax_rule|number_format}--> 円(税率<!--{$tax_rate|number_format}-->%)</td>
-                <td class="right"><!--{$price|sfCalcIncTax:$tax_rate:$tax_rule|sfMultiply:$quantity|number_format}-->円</td>
+                <td class="right"><!--{$price|sfCalcIncTax|number_format}--> 円</td>
+                <td class="right"><!--{$price|sfCalcIncTax|sfMultiply:$quantity|number_format}-->円</td>
         </tr>
         <!--{/section}-->
@@ -221,5 +219,5 @@
                             <td class="right">
                                 <!--{assign var=key value="shipment_price"}-->
-                                <!--{$arrShipping[$key][$item_index]|sfCalcIncTax:$arrForm.order_tax_rate.value:$arrForm.order_tax_rule.value|number_format}-->円
+                                <!--{$arrShipping[$key][$item_index]|sfCalcIncTax|number_format}-->円
                             </td>
                             <td class="right">
Index: /branches/version-2_12-dev/data/Smarty/templates/admin/order/edit.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/admin/order/edit.tpl	(revision 22206)
+++ /branches/version-2_12-dev/data/Smarty/templates/admin/order/edit.tpl	(revision 22215)
@@ -302,6 +302,4 @@
             <input type="hidden" name="product_class_id[<!--{$product_index}-->]" value="<!--{$arrForm.product_class_id.value[$product_index]|h}-->" id="product_class_id_<!--{$product_index}-->" />
             <input type="hidden" name="point_rate[<!--{$product_index}-->]" value="<!--{$arrForm.point_rate.value[$product_index]|h}-->" id="point_rate_<!--{$product_index}-->" />
-            <input type="hidden" name="tax_rate[<!--{$product_index}-->]" value="<!--{$arrForm.tax_rate.value[$product_index]|h}-->" id="tax_rate_<!--{$product_index}-->" />
-            <input type="hidden" name="tax_rule[<!--{$product_index}-->]" value="<!--{$arrForm.tax_rule.value[$product_index]|h}-->" id="tax_rule_<!--{$product_index}-->" />
             </td>
             <td align="center">
@@ -317,8 +315,6 @@
             <!--{assign var=price value=`$arrForm.price.value[$product_index]`}-->
             <!--{assign var=quantity value=`$arrForm.quantity.value[$product_index]`}-->
-            <!--{assign var=tax_rate value=`$arrForm.tax_rate.value[$product_index]`}-->
-            <!--{assign var=tax_rule value=`$arrForm.tax_rule.value[$product_index]`}-->
-            <td class="right"><!--{$price|sfCalcIncTax:$tax_rate:$tax_rule|number_format}--> 円(税率<!--{$tax_rate|number_format}-->%)</td>
-            <td class="right"><!--{$price|sfCalcIncTax:$tax_rate:$tax_rule|sfMultiply:$quantity|number_format}-->円</td>
+            <td class="right"><!--{$price|sfCalcIncTax|number_format}--> 円</td>
+            <td class="right"><!--{$price|sfCalcIncTax|sfMultiply:$quantity|number_format}-->円</td>
         </tr>
         <!--{/section}-->
@@ -451,5 +447,5 @@
                             <td class="right">
                                 <!--{assign var=key value="shipment_price"}-->
-                                <!--{$arrShipping[$key][$item_index]|sfCalcIncTax:$arrForm.order_tax_rate.value:$arrForm.order_tax_rule.value|number_format}-->円
+                                <!--{$arrShipping[$key][$item_index]|sfCalcIncTax|number_format}-->円
                                 <input type="hidden" name="<!--{$key}-->[<!--{$shipping_index}-->][<!--{$item_index}-->]" value="<!--{$arrShipping[$key][$item_index]|h}-->" />
                             </td>
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/mypage/history.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/mypage/history.tpl	(revision 22206)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/mypage/history.tpl	(revision 22215)
@@ -86,9 +86,8 @@
                                 <!--←商品種別-->
                             </div>
-                            <!--{assign var=tax_rate value=`$orderDetail.tax_rate`}-->
-                            <!--{assign var=tax_rule value=`$orderDetail.tax_rule`}-->
+
                             <ul>
                                 <li><span class="mini">数量：</span><!--{$quantity|h}--></li>
-                                <li class="result"><span class="mini">小計：</span><!--{$price|sfCalcIncTax:$tax_rate:$tax_rule|sfMultiply:$quantity|number_format}-->円</li>
+                                <li class="result"><span class="mini">小計：</span><!--{$price|sfCalcIncTax|sfMultiply:$quantity|number_format}-->円</li>
                             </ul>
                         </div>
Index: /branches/version-2_12-dev/data/Smarty/templates/default/mypage/history.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/mypage/history.tpl	(revision 22206)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/mypage/history.tpl	(revision 22215)
@@ -86,9 +86,7 @@
                     <!--{assign var=price value=`$orderDetail.price`}-->
                     <!--{assign var=quantity value=`$orderDetail.quantity`}-->
-                    <!--{assign var=tax_rate value=`$orderDetail.tax_rate`}-->
-                    <!--{assign var=tax_rule value=`$orderDetail.tax_rule`}-->
-                    <td class="alignR"><!--{$price|sfCalcIncTax:$tax_rate:$tax_rule|number_format|h}-->円</td>
+                    <td class="alignR"><!--{$price|sfCalcIncTax|number_format|h}-->円</td>
                     <td class="alignR"><!--{$quantity|h}--></td>
-                    <td class="alignR"><!--{$price|sfCalcIncTax:$tax_rate:$tax_rule|sfMultiply:$quantity|number_format}-->円</td>
+                    <td class="alignR"><!--{$price|sfCalcIncTax|sfMultiply:$quantity|number_format}-->円</td>
                 </tr>
             <!--{/foreach}-->
@@ -172,5 +170,5 @@
                             </td>
                             <td class="alignR">
-                                <!--{$item.price|sfCalcIncTax:$tpl_arrOrderData.order_tax_rate:$tpl_arrOrderData.order_tax_rule|number_format}-->円
+                                <!--{$item.price|sfCalcIncTax|number_format}-->円
                             </td>
                             <td class="alignC"><!--{$item.quantity}--></td>
Index: /branches/version-2_12-dev/data/Smarty/templates/default/mail_templates/order_mail.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/mail_templates/order_mail.tpl	(revision 22206)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/mail_templates/order_mail.tpl	(revision 22215)
@@ -52,11 +52,10 @@
 商品コード: <!--{$arrOrderDetail[cnt].product_code}-->
 商品名: <!--{$arrOrderDetail[cnt].product_name}--> <!--{$arrOrderDetail[cnt].classcategory_name1}--> <!--{$arrOrderDetail[cnt].classcategory_name2}-->
-単価：￥ <!--{$arrOrderDetail[cnt].price|sfCalcIncTax:$arrOrderDetail[cnt].tax_rate:$arrOrderDetail[cnt].tax_rule|number_format}-->
+単価：￥ <!--{$arrOrderDetail[cnt].price|sfCalcIncTax|number_format}-->
 数量：<!--{$arrOrderDetail[cnt].quantity}-->
 
 <!--{/section}-->
 -------------------------------------------------
-小　計 ￥ <!--{$arrOrder.subtotal|number_format|default:0}--> <!--{if 0 < $arrOrder.tax}-->(うち消費税 ￥<!--{$arrOrder.tax|number_format|default:0}-->）<!--{/if}-->
-
+小　計 ￥ <!--{$arrOrder.subtotal|number_format|default:0}--> (うち消費税 ￥<!--{$arrOrder.tax|number_format|default:0}-->）
 値引き ￥ <!--{$arrOrder.use_point*$smarty.const.POINT_VALUE+$arrOrder.discount|number_format|default:0}-->
 送　料 ￥ <!--{$arrOrder.deliv_fee|number_format|default:0}-->
@@ -85,5 +84,5 @@
 商品コード: <!--{$item.product_code}-->
 商品名: <!--{$item.product_name}--> <!--{$item.classcategory_name1}--> <!--{$item.classcategory_name2}-->
-単価：￥ <!--{$item.price|sfCalcIncTax:$arrOrder.order_tax_rate:$arrOrder.order_tax_rule|number_format}-->
+単価：￥ <!--{$item.price|sfCalcIncTax|number_format}-->
 数量：<!--{$item.quantity}-->
 
Index: /branches/version-2_12-dev/data/class/SC_CartSession.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_CartSession.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/SC_CartSession.php	(revision 22215)
@@ -626,8 +626,4 @@
         $results['deliv_fee'] = 0;
 
-        $arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
-        $results['order_tax_rate'] = $arrInfo['tax'];
-        $results['order_tax_rule'] = $arrInfo['tax_rule'];
-
         // 商品ごとの送料を加算
         if (OPTION_PRODUCT_DELIV_FEE == 1) {
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php	(revision 22215)
@@ -1410,8 +1410,6 @@
         // 店舗基本情報を取得
         $CONF = SC_Helper_DB_Ex::sfGetBasisData();
-        $tax      = $tax      === null ? $CONF['tax']      : $tax;
-        $tax_rule = $tax_rule === null ? $CONF['tax_rule'] : $tax_rule;
-
-        return SC_Utils_Ex::sfCalcIncTax($price, $tax, $tax_rule);
+
+        return SC_Utils_Ex::sfCalcIncTax($price, $CONF['tax'], $CONF['tax_rule']);
     }
 
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Purchase.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Purchase.php	(revision 22215)
@@ -857,6 +857,4 @@
             $arrDetail[$i]['price'] = $item['price'];
             $arrDetail[$i]['quantity'] = $item['quantity'];
-            $arrDetail[$i]['tax_rate'] = $orderParams['order_tax_rate'];
-            $arrDetail[$i]['tax_rule'] = $orderParams['order_tax_rule'];
 
             // 在庫の減少処理
@@ -995,6 +993,4 @@
             T2.quantity,
             T2.point_rate,
-            T2.tax_rate,
-            T2.tax_rule,
 __EOS__;
         if ($has_order_status) {
Index: /branches/version-2_12-dev/data/class/SC_Fpdf.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Fpdf.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/SC_Fpdf.php	(revision 22215)
@@ -178,5 +178,5 @@
 
             // 税込金額（単価）
-            $data[1] = SC_Helper_DB_Ex::sfCalcIncTax($this->arrDisp['price'][$i], $this->arrDisp['tax_rate'][$i], $this->arrDisp['tax_rule'][$i]);
+            $data[1] = SC_Helper_DB_Ex::sfCalcIncTax($this->arrDisp['price'][$i]);
 
             // 小計（商品毎）
@@ -331,5 +331,5 @@
     function lfGetOrderDetail($order_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
-        $col = 'product_id, product_class_id, product_code, product_name, classcategory_name1, classcategory_name2, price, quantity, point_rate, tax_rate, tax_rule';
+        $col = 'product_id, product_class_id, product_code, product_name, classcategory_name1, classcategory_name2, price, quantity, point_rate';
         $where = 'order_id = ?';
         $objQuery->setOrder('order_detail_id');
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Disp.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Disp.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Disp.php	(revision 22215)
@@ -194,6 +194,4 @@
         $objFormParam->addParam('メモ', 'note', MTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK'));
         $objFormParam->addParam('削除用項番', 'delete_no', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam('消費税率', 'tax_rate');
-        $objFormParam->addParam('課税規則', 'tax_rule');
 
         // DB読込用
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 22215)
@@ -98,6 +98,4 @@
         $this->arrDeliv = SC_Helper_DB_Ex::sfGetIDValueList('dtb_deliv', 'deliv_id', 'name');
 
-        $this->arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
-
         $this->httpCacheControl('nocache');
     }
@@ -263,4 +261,5 @@
         $this->arrDelivTime = $objPurchase->getDelivTime($objFormParam->getValue('deliv_id'));
         $this->tpl_onload .= $this->getAnchorKey($objFormParam);
+        $this->arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
         if ($arrValuesBefore['payment_id'])
             $this->arrPayment[$arrValuesBefore['payment_id']] = $arrValuesBefore['payment_method'];
@@ -331,6 +330,4 @@
         $objFormParam->addParam('規格名1', 'classcategory_name1');
         $objFormParam->addParam('規格名2', 'classcategory_name2');
-        $objFormParam->addParam('税率', 'tax_rate');
-        $objFormParam->addParam('課税規則', 'tax_rule');
         $objFormParam->addParam('メモ', 'note', MTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK'));
         $objFormParam->addParam('削除用項番', 'delete_no', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
@@ -354,6 +351,4 @@
         $objFormParam->addParam('入金日', 'payment_date');
         $objFormParam->addParam('端末種別', 'device_type_id');
-        $objFormParam->addParam('税率', 'order_tax_rate');
-        $objFormParam->addParam('課税規則', 'order_tax_rule');
 
         // 複数情報
@@ -582,7 +577,7 @@
         for ($i = 0; $i < $max; $i++) {
             // 小計の計算
-            $subtotal += SC_Helper_DB_Ex::sfCalcIncTax($arrValues['price'][$i], $arrValues['tax_rate'][$i], $arrValues['tax_rule'][$i]) * $arrValues['quantity'][$i];
+            $subtotal += SC_Helper_DB_Ex::sfCalcIncTax($arrValues['price'][$i]) * $arrValues['quantity'][$i];
             // 小計の計算
-            $totaltax += SC_Utils_Ex::sfTax($arrValues['price'][$i], $arrValues['tax_rate'][$i], $arrValues['tax_rule'][$i]) * $arrValues['quantity'][$i];
+            $totaltax += SC_Helper_DB_Ex::sfTax($arrValues['price'][$i]) * $arrValues['quantity'][$i];
             // 加算ポイントの計算
             $totalpoint += SC_Utils_Ex::sfPrePoint($arrValues['price'][$i], $arrValues['point_rate'][$i]) * $arrValues['quantity'][$i];
@@ -677,6 +672,4 @@
                 'classcategory_name1',
                 'classcategory_name2',
-                'tax_rate',
-                'tax_rule'
         ));
 
@@ -815,6 +808,4 @@
             $arrProduct['quantity'] = 1;
             $arrProduct['price'] = $arrProduct['price02'];
-            $arrProduct['tax_rate'] = $objFormParam->getValue('order_tax_rate') == '' ? $this->arrInfo['tax']      : $objFormParam->getValue('order_tax_rate');
-            $arrProduct['tax_rule'] = $objFormParam->getValue('order_tax_rule') == '' ? $this->arrInfo['tax_rule'] : $objFormParam->getValue('order_tax_rule');
             $arrProduct['product_name'] = $arrProduct['name'];
 
@@ -822,5 +813,5 @@
                 'product_id', 'product_class_id', 'product_type_id', 'point_rate',
                 'product_code', 'product_name', 'classcategory_name1', 'classcategory_name2',
-                'quantity', 'price', 'tax_rate', 'tax_rule'
+                'quantity', 'price',
             );
             foreach ($arrUpdateKeys as $key) {
@@ -859,5 +850,5 @@
             'product_id', 'product_class_id', 'product_type_id', 'point_rate',
             'product_code', 'product_name', 'classcategory_name1', 'classcategory_name2',
-            'quantity', 'price', 'tax_rate', 'tax_rule'
+            'quantity', 'price',
         );
         foreach ($arrDeleteKeys as $key) {
Index: /branches/version-2_12-dev/html/install/sql/create_table_mysql.sql
===================================================================
--- /branches/version-2_12-dev/html/install/sql/create_table_mysql.sql	(revision 22197)
+++ /branches/version-2_12-dev/html/install/sql/create_table_mysql.sql	(revision 22215)
@@ -553,6 +553,4 @@
     birth_point numeric NOT NULL DEFAULT 0,
     tax numeric,
-    order_tax_rate numeric,
-    order_tax_rule smallint,
     total numeric,
     payment_total numeric,
@@ -612,6 +610,4 @@
     birth_point numeric NOT NULL DEFAULT 0,
     tax numeric,
-    order_tax_rate numeric,
-    order_tax_rule smallint,
     total numeric,
     payment_total numeric,
@@ -718,6 +714,4 @@
     quantity numeric,
     point_rate numeric NOT NULL DEFAULT 0,
-    tax_rate numeric,
-    tax_rule smallint,
     PRIMARY KEY (order_detail_id)
 );
Index: /branches/version-2_12-dev/html/install/sql/create_table_pgsql.sql
===================================================================
--- /branches/version-2_12-dev/html/install/sql/create_table_pgsql.sql	(revision 22197)
+++ /branches/version-2_12-dev/html/install/sql/create_table_pgsql.sql	(revision 22215)
@@ -553,6 +553,4 @@
     birth_point numeric NOT NULL DEFAULT 0,
     tax numeric,
-    order_tax_rate numeric,
-    order_tax_rule smallint,
     total numeric,
     payment_total numeric,
@@ -612,6 +610,4 @@
     birth_point numeric NOT NULL DEFAULT 0,
     tax numeric,
-    order_tax_rate numeric,
-    order_tax_rule smallint,
     total numeric,
     payment_total numeric,
@@ -718,6 +714,4 @@
     quantity numeric,
     point_rate numeric NOT NULL DEFAULT 0,
-    tax_rate numeric,
-    tax_rule smallint,
     PRIMARY KEY (order_detail_id)
 );