Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/frontparts/bloc/news.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/frontparts/bloc/news.tpl	(revision 22157)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/frontparts/bloc/news.tpl	(revision 22221)
@@ -23,5 +23,5 @@
 <div class="block_outer">
     <div id="news_area">
-    <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_news.jpg" alt="New information" /><span class="rss"><a href="<!--{$smarty.const.ROOT_URLPATH}-->rss/<!--{$smarty.const.DIR_INDEX_PATH}-->" target="_blank"><img src="<!--{$TPL_URLPATH}-->img/button/btn_rss.jpg" alt="RSS" /></a></span></h2>
+    <h2><img src="<!--{$TPL_URLPATH}-->img/title/icon_bloc_news.png" alt="" /><span class="title">New information</span><span class="rss"><a href="<!--{$smarty.const.ROOT_URLPATH}-->rss/<!--{$smarty.const.DIR_INDEX_PATH}-->" target="_blank"><img src="<!--{$TPL_URLPATH}-->img/button/btn_rss.jpg" alt="RSS" /></a></span></h2>
         <div class="block_body">
             <div class="news_contents">
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/frontparts/bloc/category.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/frontparts/bloc/category.tpl	(revision 22157)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/frontparts/bloc/category.tpl	(revision 22221)
@@ -28,6 +28,6 @@
 <div class="block_outer">
     <div id="category_area">
+		<h2><img src="<!--{$TPL_URLPATH}-->img/title/icon_bloc_category.gif" alt="" /><span class="title">Product category</span></h2>
         <div class="block_body">
-            <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_category.gif" alt="Product category" /></h2>
             <!--{strip}-->
                 <ul id="categorytree">
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/frontparts/bloc/recommend.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/frontparts/bloc/recommend.tpl	(revision 22157)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/frontparts/bloc/recommend.tpl	(revision 22221)
@@ -24,5 +24,5 @@
     <div class="block_outer clearfix">
         <div id="recommend_area">
-            <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_recommend.jpg" alt="*" class="title_icon" /></h2>
+            <h2><img src="<!--{$TPL_URLPATH}-->img/title/icon_bloc_recommend.png" alt="*" class="title_icon" /><span class="title">Recommend Information</span></h2>
             <div class="block_body clearfix">
                 <!--{foreach from=$arrBestProducts item=arrProduct name="recommend_products"}-->
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/products/detail.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/products/detail.tpl	(revision 22210)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/products/detail.tpl	(revision 22221)
@@ -322,5 +322,5 @@
     <!--この商品に対するお客様の声-->
     <div id="customervoice_area">
-        <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_product_voice.jpg" alt="Customer's opinion regarding this product" /></h2>
+        <h2><img src="<!--{$TPL_URLPATH}-->img/title/icon_product_voice.png" alt="" /><span class="title">Customer's opinion regarding this product</span></h2>
 
         <div class="review_bloc clearfix">
@@ -352,5 +352,5 @@
     <!--{if $arrRecommend}-->
         <div id="whobought_area">
-            <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_product_recommend.jpg" alt="Other recommended products" /></h2>
+            <h2><img src="<!--{$TPL_URLPATH}-->img/title/icon_product_recommend.png" alt="" /><span class="title">Other recommended products</span></h2>
             <!--{foreach from=$arrRecommend item=arrItem name="arrRecommend"}-->
                 <div class="product_item">
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/mypage/refusal.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/mypage/refusal.tpl	(revision 22175)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/mypage/refusal.tpl	(revision 22221)
@@ -32,6 +32,5 @@
         <input type="hidden" name="mode" value="confirm" />
         <div id="complete_area">
-            <div class="message">会員を退会された場合には、現在保存されている購入履歴や、<br />
-            お届け先などの情報は、すべて削除されますがよろしいでしょうか？</div>
+            <div class="message">When a member withdraws membership, the information that is currently stored, such as purchase history and delivery addresses will all be deleted. Do you wish to continue?</div>
             <div class="message_area">
                 <p>退会手続きが完了した時点で、現在保存されている購入履歴や、<br />
Index: /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/frontparts/bloc/navi_footer.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/frontparts/bloc/navi_footer.tpl	(revision 22157)
+++ /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/frontparts/bloc/navi_footer.tpl	(revision 22221)
@@ -23,11 +23,11 @@
 <ul class="footer_navi">
     <!--{if $tpl_login}-->
-        <li><a rel="external" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_mypage_off.png" alt="MY page" width="75" height="50" /></a></li>
-        <li><a rel="external" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/favorite.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_favorite_off.png" alt="Favorites" width="75" height="50" /></a></li>
+        <li><a rel="external" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_mypage_off.png" alt="MY page" width="75" height="34" /><br />MY page</a></li>
+        <li><a rel="external" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/favorite.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_favorite_off.png" alt="Favorites" width="75" height="34" /><br />Favorites</a></li>
     <!--{else}-->
-        <li><a data-transition="slideup" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_mypage_off.png" alt="MY page" width="75" height="50" /></a></li>
-        <li><a data-transition="slideup" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_favorite_off.png" alt="Favorites" width="75" height="50" /></a></li>
+        <li><a data-transition="slideup" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_mypage_off.png" alt="MY page" width="75" height="34" /><br />MY page</a></li>
+        <li><a data-transition="slideup" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_favorite_off.png" alt="Favorites" width="75" height="34" /><br />Favorites</a></li>
     <!--{/if}-->
-    <li><a rel="external" href="<!--{$smarty.const.CART_URLPATH|h}-->"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_cart_off.png" alt="View basket" width="75" height="50" /></a></li>
-    <li><a rel="external" href="<!--{$smarty.const.ROOT_URLPATH}-->"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_toppage_off.png" alt="To top page" width="75" height="50" /></a></li>
+    <li><a rel="external" href="<!--{$smarty.const.CART_URLPATH|h}-->"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_cart_off.png" alt="View basket" width="75" height="34" /><br />View basket</a></li>
+    <li><a rel="external" href="<!--{$smarty.const.ROOT_URLPATH}-->"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_toppage_off.png" alt="To top page" width="75" height="34" /><br />To top page</a></li>
 </ul>
Index: /branches/version-2_12-multilang/html/user_data/packages/sphone_en/css/mypage.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/sphone_en/css/mypage.css	(revision 22157)
+++ /branches/version-2_12-multilang/html/user_data/packages/sphone_en/css/mypage.css	(revision 22221)
@@ -130,5 +130,5 @@
 }
 #historyBox .btn_reorder {
-    width: 5em;
+    width: 20%;
     float: right;
     padding: 15px;
Index: /branches/version-2_12-multilang/html/user_data/packages/sphone_en/css/products.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/sphone_en/css/products.css	(revision 22157)
+++ /branches/version-2_12-multilang/html/user_data/packages/sphone_en/css/products.css	(revision 22221)
@@ -258,5 +258,5 @@
 }
 .cartin_btn dt {
-    width: 2em;
+    width: 30%;
     float: left;
     padding: 15px 5px 0 5px;
Index: /branches/version-2_12-multilang/html/user_data/packages/sphone_en/css/common.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/sphone_en/css/common.css	(revision 22157)
+++ /branches/version-2_12-multilang/html/user_data/packages/sphone_en/css/common.css	(revision 22221)
@@ -620,4 +620,10 @@
     -moz-box-shadow: 3px 3px 3px 3px rgba(0,0,0,0.2) inset,-3px -3px 3px 3px rgba(0,0,0,0.2) inset;
 }
+#footer_utility .footer_navi li a:link,
+#footer_utility .footer_navi li a:visited,
+#footer_utility .footer_navi li a:hover,
+#footer_utility .footer_navi li a:active {
+	color: #fff;
+}
 .footer_status_area {
     margin: 0;
Index: /branches/version-2_12-multilang/html/user_data/packages/sphone_en/css/block.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/sphone_en/css/block.css	(revision 22157)
+++ /branches/version-2_12-multilang/html/user_data/packages/sphone_en/css/block.css	(revision 22221)
@@ -293,4 +293,5 @@
     display: inline-block;
     text-align: center;
+	vertical-align: middle;
     line-height: 0.4;
     width: 1.5em;
Index: /branches/version-2_12-multilang/html/user_data/packages/default_en/css/bloc.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/default_en/css/bloc.css	(revision 22182)
+++ /branches/version-2_12-multilang/html/user_data/packages/default_en/css/bloc.css	(revision 22221)
@@ -82,5 +82,6 @@
 #calender_area h2,
 #cart_area h2,
-#cart h2 {
+#cart h2,
+#category_area h2 {
 	vertical-align: middle;
     padding: 7px 0 0 10px;
@@ -88,5 +89,5 @@
     border-color: #f90 #ccc #ccc;
     border-width: 1px 1px 1px;
-    font-size: 14px;
+    font-size: 13px;
 	color: #ec5504;
 	text-shadow: 1px 1px 1px #fff;
@@ -98,42 +99,6 @@
 background: -ms-linear-gradient(top,  #ffffff 0%,#e3e3e3 100%); /* IE10+ */
 background: linear-gradient(to bottom,  #ffffff 0%,#e3e3e3 100%); /* W3C */
-filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#e3e3e3',GradientType=0 ); /* IE6-9 */	
-}
-
-#login_area h2 img,
-#search_area h2 img,
-#calender_area h2 img,
-#cart_area h2 img,
-#cart h2 img {
-	float: left;
-	position: relative;
-	top: -1px;
-	margin-bottom: 6px;
-}
-
-
-#login_area h2 .title,
-#search_area h2 .title,
-#calender_area h2 .title,
-#cart_area h2 .title,
-#cart h2 .title {
-	display: block;
-	padding: 0 0 7px 30px;
-	line-height: 1.4;
-}
-
-#category_area h2 {
-    border-top: solid 1px #f90;
-	border-bottom: 1px solid #ccc;
-    padding: 5px 0 8px 10px;
-    font-size: 14px;
-    box-shadow: 0 0 1px 1px #fff inset;
-background: #ffffff; /* Old browsers */
-background: -moz-linear-gradient(top,  #ffffff 0%, #e3e3e3 100%); /* FF3.6+ */
-background: -webkit-linear-gradient(top,  #ffffff 0%,#e3e3e3 100%); /* Chrome10+,Safari5.1+ */
-background: -o-linear-gradient(top,  #ffffff 0%,#e3e3e3 100%); /* Opera 11.10+ */
-background: -ms-linear-gradient(top,  #ffffff 0%,#e3e3e3 100%); /* IE10+ */
-background: linear-gradient(to bottom,  #ffffff 0%,#e3e3e3 100%); /* W3C */
-filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#e3e3e3',GradientType=0 ); /* IE6-9 */	
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#e3e3e3',GradientType=0 ); /* IE6-9 */
+zoom: 1;	
 }
 
@@ -141,8 +106,12 @@
 #recommend_area h2,
 #news_area h2 {
-    padding: 5px 0 8px 10px;
+	vertical-align: middle;
+    padding: 7px 0 0 10px;
     border-style: solid;
     border-color: #f90 #ccc #ccc;
     border-width: 1px 1px 1px;
+	color: #ec5504;
+    font-size: 13px;
+	text-shadow: 1px 1px 1px #fff;
     box-shadow: 0 0 1px 1px #fff inset;
 background: #fef3d8; /* Old browsers */
@@ -154,5 +123,51 @@
 background: linear-gradient(to bottom,  #fef3d8 0%,#fedd7e 100%); /* W3C */
 filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fef3d8', endColorstr='#fedd7e',GradientType=0 ); /* IE6-9 */
-}
+zoom: 1;	
+}
+
+#news_area h2 {
+	overflow: hidden;
+}
+
+#login_area h2 img,
+#search_area h2 img,
+#calender_area h2 img,
+#cart_area h2 img,
+#cart h2 img,
+#category_area h2 img,
+#recommend_area h2 img,
+#news_area h2 img {
+	float: left;
+	position: relative;
+	top: -1px;
+	margin-bottom: 6px;
+}
+#recommend_area h2 img {
+	top: -2px;
+}
+#news_area h2 img {
+	top: 0;
+}
+
+
+#login_area h2 .title,
+#search_area h2 .title,
+#calender_area h2 .title,
+#cart_area h2 .title,
+#cart h2 .title,
+#category_area h2 .title,
+#recommend_area h2 .title {
+	display: block;
+	padding: 0 0 7px 30px;
+	line-height: 1.4;
+}
+#news_area h2 .title {
+	float: left;
+	display: block;
+	padding: 0 10px 7px 8px;
+	line-height: 1.4;
+	zoom: 1;
+}
+
 
 
@@ -239,14 +254,14 @@
 #category_area li.level1 {
     border-bottom: solid 1px #ccc;
+	padding-top: 9px;
 }
 #category_area li.level1 p {
-    padding-left: 20px;
-    margin: 7px 3px;
+    padding: 0 3px 8px 20px ;
 }
 #category_area li.level1 p {
-    background: url("../img/icon/ico_arrow_01.gif") 2px 3px no-repeat;
+    background: url("../img/icon/ico_arrow_01.gif") 3px 1px no-repeat;
 }
 #category_area li.level1 li p {
-    background: url("../img/icon/ico_level.gif") 7px 7px no-repeat;
+    background: url("../img/icon/ico_level.gif") 7px 1px no-repeat;
 }
 #category_area li a {
Index: /branches/version-2_12-multilang/html/user_data/packages/default_en/css/contents.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/default_en/css/contents.css	(revision 22182)
+++ /branches/version-2_12-multilang/html/user_data/packages/default_en/css/contents.css	(revision 22221)
@@ -402,4 +402,17 @@
 }
 
+#two_maincolumn_left .btn a,
+#two_maincolumn_right .btn a {
+	min-width: 130px;
+	width: auto !important;
+	width: 130px;
+}
+#two_maincolumn_left .btn button,
+#two_maincolumn_right .btn button {
+	min-width: 150px;
+	width: auto !important;
+	width: 150px;
+}
+
 /* 3カラム用 */
 #three_maincolumn div#detailphotobloc {
@@ -424,4 +437,16 @@
     text-align: right;
 }
+
+#three_maincolumn .btn a {
+	min-width: 130px;
+	width: auto !important;
+	width: 130px;
+}
+#three_maincolumn .btn button {
+	min-width: 150px;
+	width: auto !important;
+	width: 150px;
+}
+
 
 /* 商品情報 各種設定
@@ -547,7 +572,10 @@
 div#customervoice_area h2 {
     margin-bottom: 20px;
-    padding: 6px 0 8px 10px;
+    padding: 7px 0 0 10px;
+    font-size: 13px;
+	color: #444;
     border-top: solid 1px #f90;
 	border-bottom: 1px solid #ccc;
+	text-shadow: 1px 1px 1px #fff;
     box-shadow: 0 0 1px 1px #fff inset;
 background: #fef3d8; /* Old browsers */
@@ -561,4 +589,18 @@
 }
 
+div#customervoice_area h2 img {
+	float: left;
+	position: relative;
+	top: 0;
+	margin-bottom: 6px;
+}
+div#customervoice_area h2 .title {
+	display: block;
+	padding: 0 0 7px 30px;
+	line-height: 1.4;
+}
+
+
+
 div#customervoice_area .review_bloc {
     margin-bottom: 20px;
@@ -603,8 +645,11 @@
 
 div#whobought_area h2 {
+	vertical-align: middle;
     border-top: solid 1px #f90;
-    padding: 5px 0 8px 10px;
-    font-size: 14px;
+    padding: 7px 0 0 10px;
+    font-size: 13px;
+	color: #444;
 	border-bottom: 1px solid #ccc;
+	text-shadow: 1px 1px 1px #fff;
     box-shadow: 0 0 1px 1px #fff inset;
 background: #fef3d8; /* Old browsers */
@@ -618,4 +663,16 @@
 }
 
+div#whobought_area h2 img {
+	float: left;
+	position: relative;
+	top: -2px;
+	margin-bottom: 6px;
+}
+div#whobought_area h2 .title {
+	display: block;
+	padding: 0 0 7px 30px;
+	line-height: 1.4;
+}
+
 
 /* ***********************************************