Index: /branches/version-2_12-multilang/data/smarty_extends/function.t.php
===================================================================
--- /branches/version-2_12-multilang/data/smarty_extends/function.t.php	(revision 22186)
+++ /branches/version-2_12-multilang/data/smarty_extends/function.t.php	(revision 22226)
@@ -46,8 +46,10 @@
     }
     // エスケープの指定がある場合、オプションに移す
-    if (isset($params['escape'])) {
-        $options['escape'] = $params['escape'];
-        unset($params['escape']);
+    if (strlen($params['escape']) >= 1) {
+        $options['escape'] = explode(',', $params['escape']);
+    } else {
+        $options['escape'] = array('h', 'nl2br');
     }
+    unset($params['escape']);
 
     return t($string, $params, $options);
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/ownersstore/plugin.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/ownersstore/plugin.tpl	(revision 22186)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/ownersstore/plugin.tpl	(revision 22226)
@@ -128,17 +128,6 @@
     <h2><!--{t string="tpl_464"}--></h2>
     <table class="form">
-        <!--{* 案1 *}-->
         <tr>
-            <th><!--{t string="tpl_465"}--> <!--{t string="<require>"}--></th>
-            <td>
-                <!--{assign var=key value="plugin_file"}-->
-                <span class="attention"><!--{$arrErr[$key]}--></span>
-                <input type="file" name="<!--{ $key }-->" class="box45" size="43"  style="<!--{$arrErr[$key]|sfGetErrorColor}--> <!--{if $arrErr[$key]}--> background-color:<!--{$smarty.const.ERR_COLOR|h}--><!--{/if}-->">
-                <a class="btn-action" href="javascript:;" onclick="install(); return false;"><span class="btn-next"><!--{t string="tpl_466"}--></span></a>
-            </td>
-        </tr>
-        <!--{* 案2 *}-->
-        <tr>
-            <th><!--{t string="tpl_465"}--> <span class='attention'><!--{t string="require_mark"}--></span></th>
+            <th><!--{t string="tpl_465" escape="none"}--></th>
             <td>
                 <!--{assign var=key value="plugin_file"}-->
Index: /branches/version-2_12-multilang/data/locales/ja.po
===================================================================
--- /branches/version-2_12-multilang/data/locales/ja.po	(revision 22209)
+++ /branches/version-2_12-multilang/data/locales/ja.po	(revision 22226)
@@ -3,5 +3,5 @@
 "Project-Id-Version: EC-CUBE Core\n"
 "POT-Creation-Date: 2012-05-07 13T_39+0900\n"
-"PO-Revision-Date: 2013-01-08 15:42+0900\n"
+"PO-Revision-Date: 2013-01-11 00:11+0900\n"
 "Last-Translator: MATSUDA Terutaka <matsudaterutaka@gmail.com>\n"
 "Language-Team: \n"
@@ -5032,5 +5032,5 @@
 
 msgid "tpl_465"
-msgstr "プラグイン"
+msgstr "プラグイン<span class='attention'> *</span>"
 
 msgid "tpl_466"
@@ -6132,8 +6132,2 @@
 msgid "pt_suffix"
 msgstr "pt"
-
-msgid "<require>"
-msgstr "<span class='attention'>*</span>"
-
-msgid "require_mark"
-msgstr "*"
Index: /branches/version-2_12-multilang/data/class/helper/SC_Helper_Locale.php
===================================================================
--- /branches/version-2_12-multilang/data/class/helper/SC_Helper_Locale.php	(revision 22186)
+++ /branches/version-2_12-multilang/data/class/helper/SC_Helper_Locale.php	(revision 22226)
@@ -39,7 +39,7 @@
      * @var SC_Helper_Locale
      */
-     static $_instance = NULL;
-
-     public $_translations = array();
+    static $_instance = NULL;
+
+    public $_translations = array();
 
      /**
@@ -50,5 +50,5 @@
      * @return  string  a string corresponding with message alias
      */
-     public static function get_locale($string, &$options) {
+    public static function get_locale($string, &$options) {
         is_null(SC_Helper_Locale_Ex::$_instance) and SC_Helper_Locale_Ex::$_instance = new SC_Helper_Locale_Ex();
 
@@ -71,4 +71,5 @@
 
         $return = $string;
+
         // Get string list of specified language.
         if ($lang_code != 'en') {
@@ -80,96 +81,7 @@
         }
 
-        $esc_types = $options['escape'];
-        if (is_null($esc_types) && $string[0] !== '<') {
-            $esc_types = 'h';
-        }
-        foreach (explode(',', $esc_types) as $esc_type) {
-            switch ($esc_type) {
-                case 'h':
-                case 'html':
-                    $return = htmlspecialchars($return, ENT_QUOTES);
-                    break;
-
-                case 'j':
-                case 'javascript':
-                    // escape quotes and backslashes, newlines, etc.
-                    $return = strtr($return, array('\\'=>'\\\\',"'"=>"\\'",'"'=>'\\"',"\r"=>'\\r',"\n"=>'\\n','</'=>'<\/'));
-                    break;
-
-                case 'nl2br':
-                    $return = nl2br($return, true);
-                    break;
-
-                case '':
-                case 'none':
-                    break;
-
-                case 'htmlall':
-                    $return = htmlentities($return, ENT_QUOTES);
-                    break;
-
-                case 'u':
-                case 'url':
-                    $return = rawurlencode($return);
-                    break;
-
-                case 'urlpathinfo':
-                    $return = str_replace('%2F','/',rawurlencode($return));
-                    break;
-
-                case 'quotes':
-                    // escape unescaped single quotes
-                    $return = preg_replace("%(?<!\\\\)'%", "\\'", $return);
-                    break;
-
-                case 'hex':
-                    // escape every character into hex
-                    $text = '';
-                    for ($x=0; $x < strlen($return); $x++) {
-                        $text .= '%' . bin2hex($return[$x]);
-                    }
-                    $return = $text;
-                    break;
-
-                case 'hexentity':
-                    $text = '';
-                    for ($x=0; $x < strlen($return); $x++) {
-                        $text .= '&#x' . bin2hex($return[$x]) . ';';
-                    }
-                    $return = $text;
-                    break;
-
-                case 'decentity':
-                    $text = '';
-                    for ($x=0; $x < strlen($return); $x++) {
-                        $text .= '&#' . ord($return[$x]) . ';';
-                    }
-                    $return = $text;
-                    break;
-
-                case 'mail':
-                    // safe way to display e-mail address on a web page
-                    $return = str_replace(array('@', '.'),array(' [AT] ', ' [DOT] '), $return);
-                    break;
-
-                case 'nonstd':
-                   // escape non-standard chars, such as ms document quotes
-                   $_res = '';
-                   for($_i = 0, $_len = strlen($return); $_i < $_len; $_i++) {
-                       $_ord = ord(substr($return, $_i, 1));
-                       // non-standard char, escape it
-                       if($_ord >= 126){
-                           $_res .= '&#' . $_ord . ';';
-                       }
-                       else {
-                           $_res .= substr($return, $_i, 1);
-                       }
-                   }
-                   $return = $_res;
-                    break;
-
-                default:
-                    trigger_error('unknown escape type. ' . var_export(func_get_args(), true), E_USER_WARNING);
-                    break;
+        if (is_array($options['escape'])) {
+            foreach ($options['escape'] as $esc_type) {
+                $return = SC_Helper_Locale_Ex::escape($return, $esc_type);
             }
         }
@@ -272,3 +184,105 @@
         return $file_list;
     }
+
+    /**
+     * 文字列のエスケープを行う
+     *
+     * @param   string  $string     エスケープを行う文字列
+     * @param   string  $esc_type   エスケープの種類
+     * @return  string  エスケープを行った文字列
+     */
+    static function escape($string, $esc_type) {
+        $return = $string;
+
+        switch ($esc_type) {
+            case 'h':
+            case 'html':
+                $return = htmlspecialchars($return, ENT_QUOTES);
+                break;
+
+            case 'j':
+            case 'javascript':
+                // escape quotes and backslashes, newlines, etc.
+                $return = strtr($return, array('\\'=>'\\\\',"'"=>"\\'",'"'=>'\\"',"\r"=>'\\r',"\n"=>'\\n','</'=>'<\/'));
+                break;
+
+            case 'nl2br':
+                $return = nl2br($return, true);
+                break;
+
+            case '':
+            case 'none':
+                break;
+
+            case 'htmlall':
+                $return = htmlentities($return, ENT_QUOTES);
+                break;
+
+            case 'u':
+            case 'url':
+                $return = rawurlencode($return);
+                break;
+
+            case 'urlpathinfo':
+                $return = str_replace('%2F','/',rawurlencode($return));
+                break;
+
+            case 'quotes':
+                // escape unescaped single quotes
+                $return = preg_replace("%(?<!\\\\)'%", "\\'", $return);
+                break;
+
+            case 'hex':
+                // escape every character into hex
+                $text = '';
+                for ($x=0; $x < strlen($return); $x++) {
+                    $text .= '%' . bin2hex($return[$x]);
+                }
+                $return = $text;
+                break;
+
+            case 'hexentity':
+                $text = '';
+                for ($x=0; $x < strlen($return); $x++) {
+                    $text .= '&#x' . bin2hex($return[$x]) . ';';
+                }
+                $return = $text;
+                break;
+
+            case 'decentity':
+                $text = '';
+                for ($x=0; $x < strlen($return); $x++) {
+                    $text .= '&#' . ord($return[$x]) . ';';
+                }
+                $return = $text;
+                break;
+
+            case 'mail':
+                // safe way to display e-mail address on a web page
+                $return = str_replace(array('@', '.'),array(' [AT] ', ' [DOT] '), $return);
+                break;
+
+            case 'nonstd':
+                // escape non-standard chars, such as ms document quotes
+                $_res = '';
+                for($_i = 0, $_len = strlen($return); $_i < $_len; $_i++) {
+                    $_ord = ord(substr($return, $_i, 1));
+                    // non-standard char, escape it
+                    if($_ord >= 126){
+                        $_res .= '&#' . $_ord . ';';
+                    }
+                    else {
+                        $_res .= substr($return, $_i, 1);
+                    }
+                }
+                $return = $_res;
+                break;
+
+            default:
+                trigger_error('unknown escape type. ' . var_export(func_get_args(), true), E_USER_WARNING);
+                break;
+        }
+
+        return $return;
+    }
 }