Index: /branches/version-2_12-multilang/data/locales/en.po
===================================================================
--- /branches/version-2_12-multilang/data/locales/en.po	(revision 22220)
+++ /branches/version-2_12-multilang/data/locales/en.po	(revision 22228)
@@ -3,5 +3,5 @@
 "Project-Id-Version: EC-CUBE Core\n"
 "POT-Creation-Date: 2012-05-07 13T_39+0900\n"
-"PO-Revision-Date: 2013-01-09 17:22+0900\n"
+"PO-Revision-Date: 2013-01-11 15:31+0900\n"
 "Last-Translator: \n"
 "Language-Team: \n"
@@ -2567,5 +2567,5 @@
 
 msgid "LC_Page_Admin_Basis_Holiday_002"
-msgstr "Regular holiday management"
+msgstr "Holiday management"
 
 msgid "LC_Page_Admin_Basis_Holiday_003"
@@ -2633,5 +2633,5 @@
 
 msgid "LC_Page_Admin_Basis_Tradelaw_002"
-msgstr "Act on Specified Commercial Transactions"
+msgstr "Transaction rules"
 
 msgid "LC_Page_Admin_Basis_ZipInstall_001"
@@ -2639,5 +2639,5 @@
 
 msgid "LC_Page_Admin_Basis_ZipInstall_002"
-msgstr "Postal code DB registration"
+msgstr "Postal code registration"
 
 msgid "LC_Page_Admin_Basis_ZipInstall_003"
@@ -2720,5 +2720,5 @@
 
 msgid "LC_Page_Admin_Contents_Recommend_002"
-msgstr "Recommended product"
+msgstr "Recommended products"
 
 msgid "LC_Page_Admin_Contents_RecommendSearch_001"
@@ -2915,5 +2915,5 @@
 
 msgid "LC_Page_Admin_Order_001"
-msgstr "Orders"
+msgstr "Order search"
 
 msgid "LC_Page_Admin_Order_Disp_001"
@@ -3003,5 +3003,5 @@
 
 msgid "LC_Page_Admin_Order_Status_001"
-msgstr "Response status management"
+msgstr "Response status"
 
 msgid "LC_Page_Admin_OwnersStore_001"
@@ -3612,5 +3612,5 @@
 
 msgid "tpl_006"
-msgstr "Newly input delivery method/delivery charge"
+msgstr "Input new delivery method/delivery charge"
 
 msgid "tpl_007"
@@ -3837,5 +3837,5 @@
 
 msgid "tpl_073"
-msgstr "Newly input payment method"
+msgstr "Input new payment method"
 
 msgid "tpl_074"
@@ -3907,5 +3907,5 @@
 
 msgid "tpl_095"
-msgstr "Act on Specified Commercial Transactions"
+msgstr "Transaction rules"
 
 msgid "tpl_096"
@@ -3928,8 +3928,8 @@
 
 msgid "tpl_102"
-msgstr "Postal code DB registration"
+msgstr "Postal code registration"
 
 msgid "tpl_103"
-msgstr "Regular holiday management"
+msgstr "Holiday management"
 
 msgid "tpl_104"
@@ -4021,11 +4021,11 @@
 msgstr ""
 "[Delete] [Postal code CSV update] and [DB manual registration] below will be "
-"carried out in order. If a time out occurs, however, the DB is restored to "
-"its original state."
+"carried out in order. If a time out occurs,  the DB will be restored to its "
+"original state."
 
 msgid "tpl_129"
 msgstr ""
 " [Delete] and [DB manual registration] below will be carried out in order. "
-"If a time out occurs, however, the DB is restored to its original state."
+"If a time out occurs,  the DB will be restored to its original state."
 
 msgid "tpl_130"
@@ -4037,6 +4037,6 @@
 msgid "tpl_132"
 msgstr ""
-"Postal codes will be registered starting with the designated line number. If "
-"a time out occurs, the "
+"Postal codes will be registered starting with the designated line number.  "
+"If a time out occurs, the DB will be restored to its original state."
 
 msgid "tpl_133"
@@ -4230,5 +4230,5 @@
 
 msgid "tpl_193"
-msgstr "Start search"
+msgstr "Search"
 
 msgid "tpl_194"
@@ -4617,5 +4617,5 @@
 
 msgid "tpl_308"
-msgstr "* Only .tar/.tar.gz for the file format"
+msgstr "*  .tar/.tar.gz only"
 
 msgid "tpl_309"
@@ -4805,5 +4805,5 @@
 
 msgid "tpl_369"
-msgstr "Confirmation of calculation results"
+msgstr "Confirm calculation"
 
 msgid "tpl_370"
@@ -4880,8 +4880,8 @@
 
 msgid "tpl_394"
-msgstr "Addition of new delivery destination"
+msgstr "Add new delivery destination"
 
 msgid "tpl_395"
-msgstr "Designated multiple delivery destinations"
+msgstr " Multiple delivery destinations"
 
 msgid "tpl_396"
@@ -5039,5 +5039,5 @@
 
 msgid "tpl_445"
-msgstr "Response status management"
+msgstr "Response status"
 
 msgid "tpl_446"
@@ -5104,5 +5104,5 @@
 
 msgid "tpl_466"
-msgstr "Installation"
+msgstr "Install"
 
 msgid "tpl_467"
@@ -5499,5 +5499,5 @@
 
 msgid "tpl_589"
-msgstr "(Input using half-width numbers)"
+msgstr "(Input using numbers only)"
 
 msgid "tpl_590"
@@ -5888,11 +5888,13 @@
 
 msgid "tpl_720"
-msgstr "(配送業者の変更に伴う送料の変更は手動にてお願いします。)"
+msgstr ""
+"(Due to changes in shipping companies, please manually select a shipping "
+"method.)"
 
 msgid "tpl_721"
-msgstr "(お支払方法の変更に伴う手数料の変更は手動にてお願いします。)"
+msgstr "(Due to changes in payment, please manually select a fee.)"
 
 msgid "tpl_722"
-msgstr "商品の追加"
+msgstr "Add product"
 
 msgid "tpl_723"
@@ -5900,5 +5902,5 @@
 
 msgid "tpl_724"
-msgstr "会員検索"
+msgstr "Find users"
 
 msgid "tpl_725"