Index: /branches/version-2_12-multilang/data/locales/en.po
===================================================================
--- /branches/version-2_12-multilang/data/locales/en.po	(revision 22249)
+++ /branches/version-2_12-multilang/data/locales/en.po	(revision 22253)
@@ -3,5 +3,5 @@
 "Project-Id-Version: EC-CUBE Core\n"
 "POT-Creation-Date: 2012-05-07 13T_39+0900\n"
-"PO-Revision-Date: 2013-01-16 10:04+0900\n"
+"PO-Revision-Date: 2013-01-16 11:38+0900\n"
 "Last-Translator: \n"
 "Language-Team: \n"
@@ -2345,5 +2345,5 @@
 msgstr ""
 "* Based on the selected payment method, it is possible to use (T_FIELD01 - "
-"T_FIELD01) points.<br />"
+"T_FIELD02) points.<br />"
 
 msgid "LC_Page_Unsupported_001"
@@ -5991,4 +5991,7 @@
 msgstr "Log in using the ID and password that you just registered."
 
+msgid "tpl_739"
+msgstr "Log in to management screen"
+
 msgid "tpl_740"
 msgstr "EC-CUBE Installation"
@@ -6140,4 +6143,7 @@
 msgstr "Database initialization"
 
+msgid "tpl_785"
+msgstr "Connection information"
+
 msgid "tpl_786"
 msgstr ""
@@ -6186,4 +6192,14 @@
 msgstr "EC-CUBE installation will begin."
 
+msgid "tpl_800"
+msgstr ""
+"<span class='attention'>* The authentication key can be obtained from <a "
+"href='T_FIELD' target='_blank'>the EC-CUBE Owners Store</a>.</span>"
+
+msgid "tpl_801"
+msgstr ""
+"You can log in to <a href='T_FIELD_01T_FIELD_02T_FIELD_03'>the management "
+"screen</a>."
+
 msgid "-"
 msgstr " - "
Index: /branches/version-2_12-multilang/data/locales/ja.po
===================================================================
--- /branches/version-2_12-multilang/data/locales/ja.po	(revision 22249)
+++ /branches/version-2_12-multilang/data/locales/ja.po	(revision 22253)
@@ -3,5 +3,5 @@
 "Project-Id-Version: EC-CUBE Core\n"
 "POT-Creation-Date: 2012-05-07 13T_39+0900\n"
-"PO-Revision-Date: 2013-01-16 10:04+0900\n"
+"PO-Revision-Date: 2013-01-16 11:37+0900\n"
 "Last-Translator: MATSUDA Terutaka <matsudaterutaka@gmail.com>\n"
 "Language-Team: \n"
@@ -2321,5 +2321,5 @@
 msgid "LC_Page_Shopping_Payment_004"
 msgstr ""
-"※ 選択した支払方法では、ポイントは(T_FIELD01 - T_FIELD01)ポイントまでご利用い"
+"※ 選択した支払方法では、ポイントは(T_FIELD01 - T_FIELD02)ポイントまでご利用い"
 "ただけます。<br />"
 
@@ -6109,4 +6109,13 @@
 msgstr "EC-CUBEのインストールを開始します。"
 
+msgid "tpl_800"
+msgstr ""
+"<span class='attention'>※認証キーは<a href='T_FIELD' target='_blank'>EC-CUBE"
+"オーナーズストア</a>で取得できます。</span>"
+
+msgid "tpl_801"
+msgstr ""
+"<a href='T_FIELD_01T_FIELD_02T_FIELD_03'>管理画面</a>にログインできます。"
+
 msgid "-"
 msgstr "～"
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/total/index.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/total/index.tpl	(revision 22213)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/total/index.tpl	(revision 22253)
@@ -242,5 +242,5 @@
 
             <div class="btn">
-                <a class="btn-normal" href="javascript:;" onclick="fnModeSubmit('csv','',''); return false;"><span>CSVダウンロード</span></a>
+                <a class="btn-normal" href="javascript:;" onclick="fnModeSubmit('csv','',''); return false;"><span><!--{t string="tpl_254"}--></span></a>
             </div>
 
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/ownersstore/settings.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/ownersstore/settings.tpl	(revision 22122)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/ownersstore/settings.tpl	(revision 22253)
@@ -30,5 +30,5 @@
 
     <!--入力項目ここから-->
-    <p class="remark"><span class="attention">※認証キーは<a href="<!--{$smarty.const.OSTORE_URL}-->" target="_blank">EC-CUBEオーナーズストア</a>で取得できます。</span></p>
+    <p class="remark"><!--{t string="tpl_800" escape="none" T_FIELD=$smarty.const.OSTORE_URL}--></p>
     <table class="form">
         <tr>
Index: /branches/version-2_12-multilang/html/install/templates/complete.tpl
===================================================================
--- /branches/version-2_12-multilang/html/install/templates/complete.tpl	(revision 22198)
+++ /branches/version-2_12-multilang/html/install/templates/complete.tpl	(revision 22253)
@@ -32,5 +32,5 @@
   </div>
   <div class="result-info02">
-        <p><a href="<!--{$tpl_sslurl}--><!--{$smarty.const.ADMIN_DIR}--><!--{$smarty.const.DIR_INDEX_PATH}-->">管理画面</a>にログインできます。<br />
+        <p><!--{t string="tpl_801" escape="none" T_FIELD_01=$tpl_sslurl T_FIELD_02=$smarty.const.ADMIN_DIR T_FIELD_03=$smarty.const.DIR_INDEX_PATH}--><br />
         <!--{t string="tpl_738"}--></p>
   </div>