Index: /branches/version-2_12-multilang/html/user_data/packages/default_en-US/css/common.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/default_en-US/css/common.css	(revision 22225)
+++ /branches/version-2_12-multilang/html/user_data/packages/default_en-US/css/common.css	(revision 22276)
@@ -623,5 +623,5 @@
 .main_column .btn_area button,
 #window_area .btn_area button {
-	min-width: 140px;
+	min-width: 145px;
 }
 .main_column a.bt01,.main_column a.bt02,.main_column a.bt03,.main_column a.bt04 {
@@ -633,5 +633,5 @@
 .main_column .btn_area a.bt_wide,
 .main_column .btn_area button.bt_wide {
-	min-width: 220px;
+	min-width: 240px;
 }
 
Index: /branches/version-2_12-multilang/html/user_data/packages/default_en-US/css/contents.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/default_en-US/css/contents.css	(revision 22225)
+++ /branches/version-2_12-multilang/html/user_data/packages/default_en-US/css/contents.css	(revision 22276)
@@ -586,4 +586,8 @@
     text-align: center;
     margin-top: 10px;
+}
+
+#detailrightbloc .quantity {
+	margin-bottom: 10px;
 }
 
@@ -763,4 +767,8 @@
 -o-box-sizing: border-box;
 -ms-box-sizing: border-box;
+box-sizing: border-box;
+}
+*:first-child+html .flow_area ol li {
+	width: 19%;
 }
 .flow_area ol li span {
@@ -768,5 +776,5 @@
 }
 .flow_area ol li.large {
-	width: 28%;
+	width: 28% !important;
 }
 .flow_area ol li.last {
Index: /branches/version-2_12-multilang/html/user_data/packages/default_en-US/css/bloc_alpha.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/default_en-US/css/bloc_alpha.css	(revision 22225)
+++ /branches/version-2_12-multilang/html/user_data/packages/default_en-US/css/bloc_alpha.css	(revision 22276)
@@ -7,5 +7,5 @@
     margin-top: 5px;
     float: right;
-    width: 540px;
+    width: 550px;
     height: 35px;
 }
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/mypage/refusal_confirm.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/mypage/refusal_confirm.tpl	(revision 22262)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/mypage/refusal_confirm.tpl	(revision 22276)
@@ -39,5 +39,5 @@
                     <ul>
                         <li>
-                            <a class="bt02 bt_wide" href="./refusal.php">No</a>
+                            <a class="bt02" href="./refusal.php">No</a>
                         </li>
                         <li>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/shopping/multiple.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/shopping/multiple.tpl	(revision 22225)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/shopping/multiple.tpl	(revision 22276)
@@ -132,5 +132,5 @@
                     <a class="bt04" href="<!--{$smarty.const.CART_URLPATH}-->">Go back</a>
                     </li>
-                    <li><button class="bt02">Send to the selected delivery destination</button></li>
+                    <li><button class="bt02 bt_wide">Send to the selected delivery destination</button></li>
                 </ul>
             </div>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/shopping/deliv.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/shopping/deliv.tpl	(revision 22225)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/shopping/deliv.tpl	(revision 22276)
@@ -123,5 +123,5 @@
                     <a class="bt04" href="<!--{$smarty.const.CART_URLPATH}-->">Go back</a>
                 </li>
-                <li><button class="bt02">Send to the selected delivery destination</button>
+                <li><button class="bt02 bt_wide">Send to the selected delivery destination</button>
                 </li>
             </ul>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/entry/confirm.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/entry/confirm.tpl	(revision 22262)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/entry/confirm.tpl	(revision 22276)
@@ -134,5 +134,5 @@
                 </li>
                 <li>
-					<button class="bt02 bt_wide">Register</button>
+					<button class="bt02">Register</button>
                 </li>
             </ul>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/entry/kiyaku.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/entry/kiyaku.tpl	(revision 22262)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/entry/kiyaku.tpl	(revision 22276)
@@ -39,5 +39,5 @@
                 </li>
                 <li>
-                    <a href="<!--{$smarty.const.ENTRY_URL}-->" class="bt02 bt_wide">Agree</a>
+                    <a href="<!--{$smarty.const.ENTRY_URL}-->" class="bt02">Agree</a>
                 </li>
             </ul>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/frontparts/form_personal_input.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/frontparts/form_personal_input.tpl	(revision 22262)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/frontparts/form_personal_input.tpl	(revision 22276)
@@ -23,6 +23,6 @@
 *}-->
 
-<col width="30%" />
-<col width="70%" />
+<col width="24%" />
+<col width="" />
 <tr>
     <th>Name<span class="attention">*</span></th>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/products/list.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/products/list.tpl	(revision 22262)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/products/list.tpl	(revision 22276)
@@ -106,5 +106,5 @@
                 <!--{else}-->
                     <strong>Recent</strong>
-                <!--{/if}-->
+                <!--{/if}-->&nbsp;
                 Items displayed
                 <select name="disp_number" onchange="javascript:fnChangeDispNumber(this.value);">
Index: /branches/version-2_12-multilang/data/Smarty/templates/sphone_en-US/shopping/multiple.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/sphone_en-US/shopping/multiple.tpl	(revision 22210)
+++ /branches/version-2_12-multilang/data/Smarty/templates/sphone_en-US/shopping/multiple.tpl	(revision 22276)
@@ -107,5 +107,5 @@
 
             <ul class="btn_btm">
-                <li><a rel="external" href="javascript:void(document.form1.submit());" class="btn">Send to the selected delivery destination</a></li>
+                <li><a rel="external" href="javascript:void(document.form1.submit());" class="btn bt_wide">Send to the selected delivery destination</a></li>
                 <li><a rel="external" href="<!--{$smarty.const.CART_URLPATH}-->" class="btn_back">Go back</a></li>
             </ul>
Index: /branches/version-2_12-multilang/data/Smarty/templates/sphone_en-US/shopping/deliv.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/sphone_en-US/shopping/deliv.tpl	(revision 22179)
+++ /branches/version-2_12-multilang/data/Smarty/templates/sphone_en-US/shopping/deliv.tpl	(revision 22276)
@@ -90,5 +90,5 @@
 
             <ul class="btn_btm">
-                <li><a rel="external" href="javascript:fnModeSubmit('customer_addr','','');" class="btn">Send to the selected delivery destination</a></li>
+                <li><a rel="external" href="javascript:fnModeSubmit('customer_addr','','');" class="btn bt_wide">Send to the selected delivery destination</a></li>
                 <li><a rel="external" href="<!--{$smarty.const.CART_URLPATH}-->" class="btn_back">Go back</a></li>
             </ul>