Index: /branches/version-2_12-multilang/html/install/sql/create_table_pgsql.sql
===================================================================
--- /branches/version-2_12-multilang/html/install/sql/create_table_pgsql.sql	(revision 22205)
+++ /branches/version-2_12-multilang/html/install/sql/create_table_pgsql.sql	(revision 22280)
@@ -6,6 +6,6 @@
     error text,
     ok text,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (log_id)
 );
@@ -22,6 +22,6 @@
     rank int NOT NULL DEFAULT 0,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     del_flg smallint NOT NULL DEFAULT 0,
     PRIMARY KEY (kiyaku_id)
@@ -35,6 +35,6 @@
     rank int NOT NULL DEFAULT 0,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     del_flg smallint NOT NULL DEFAULT 0,
     PRIMARY KEY (holiday_id)
@@ -62,7 +62,7 @@
     other_files text,
     del_flg smallint NOT NULL DEFAULT 0,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
-    release_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
+    release_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (module_id)
 );
@@ -124,5 +124,5 @@
     point_rate numeric NOT NULL DEFAULT 0,
     welcome_point numeric NOT NULL DEFAULT 0,
-    update_date timestamp NOT NULL,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     top_tpl text,
     product_tpl text,
@@ -150,6 +150,6 @@
     del_flg smallint NOT NULL DEFAULT 0,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (deliv_id)
 );
@@ -188,6 +188,6 @@
     del_flg smallint NOT NULL DEFAULT 0,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     payment_image text,
     upper_rule numeric,
@@ -217,6 +217,6 @@
     creator_id int NOT NULL,
     del_flg smallint NOT NULL DEFAULT 0,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (template_id)
 );
@@ -229,6 +229,6 @@
     del_flg smallint NOT NULL DEFAULT 0,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (template_id)
 );
@@ -241,11 +241,11 @@
     send_count int,
     complete_count int NOT NULL DEFAULT 0,
-    start_date timestamp,
-    end_date timestamp,
+    start_date timestamp WITH TIME ZONE,
+    end_date timestamp WITH TIME ZONE,
     search_data text,
     del_flg smallint NOT NULL DEFAULT 0,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (send_id)
 );
@@ -303,6 +303,6 @@
     del_flg smallint NOT NULL DEFAULT 0,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     deliv_date_id int,
     PRIMARY KEY (product_id)
@@ -324,6 +324,6 @@
     point_rate numeric NOT NULL DEFAULT 0,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     down_filename text,
     down_realfilename text,
@@ -338,6 +338,6 @@
     rank int,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     del_flg smallint NOT NULL DEFAULT 0,
     PRIMARY KEY (class_id)
@@ -350,6 +350,6 @@
     rank int,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     del_flg smallint NOT NULL DEFAULT 0,
     PRIMARY KEY (classcategory_id)
@@ -363,6 +363,6 @@
     rank int,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     del_flg smallint NOT NULL DEFAULT 0,
     PRIMARY KEY (category_id)
@@ -380,6 +380,6 @@
     product_id int NOT NULL,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     del_flg smallint NOT NULL DEFAULT 0,
     PRIMARY KEY (product_status_id, product_id)
@@ -393,6 +393,6 @@
     status smallint NOT NULL DEFAULT 0,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (product_id, recommend_product_id)
 );
@@ -410,6 +410,6 @@
     status smallint DEFAULT 2,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     del_flg smallint NOT NULL DEFAULT 0,
     PRIMARY KEY (review_id)
@@ -419,6 +419,6 @@
     customer_id int NOT NULL,
     product_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (customer_id, product_id)
 );
@@ -427,5 +427,5 @@
     category_id int NOT NULL,
     product_count int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
     PRIMARY KEY (category_id)
 );
@@ -434,5 +434,5 @@
     category_id int NOT NULL,
     product_count int,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
     PRIMARY KEY (category_id)
 );
@@ -440,5 +440,5 @@
 CREATE TABLE dtb_news (
     news_id int NOT NULL,
-    news_date timestamp,
+    news_date timestamp WITH TIME ZONE,
     rank int,
     news_title text NOT NULL,
@@ -448,6 +448,6 @@
     link_method text,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     del_flg smallint NOT NULL DEFAULT 0,
     PRIMARY KEY (news_id)
@@ -462,6 +462,6 @@
     comment text,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     del_flg smallint NOT NULL DEFAULT 0,
     PRIMARY KEY (best_id)
@@ -471,5 +471,5 @@
     send_id int NOT NULL,
     order_id int NOT NULL,
-    send_date timestamp,
+    send_date timestamp WITH TIME ZONE,
     template_id int,
     creator_id int NOT NULL,
@@ -501,5 +501,5 @@
     sex smallint,
     job smallint,
-    birth timestamp,
+    birth timestamp WITH TIME ZONE,
     password text,
     reminder smallint,
@@ -507,6 +507,6 @@
     salt text,
     secret_key text NOT NULL,
-    first_buy_date timestamp,
-    last_buy_date timestamp,
+    first_buy_date timestamp WITH TIME ZONE,
+    last_buy_date timestamp WITH TIME ZONE,
     buy_times numeric DEFAULT 0,
     buy_total numeric DEFAULT 0,
@@ -514,6 +514,6 @@
     note text,
     status smallint NOT NULL DEFAULT 1,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     del_flg smallint NOT NULL DEFAULT 0,
     mobile_phone_id text,
@@ -546,5 +546,5 @@
     order_addr02 text,
     order_sex smallint,
-    order_birth timestamp,
+    order_birth timestamp WITH TIME ZONE,
     order_job int,
     subtotal numeric,
@@ -563,8 +563,8 @@
     note text,
     status smallint,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
-    commit_date timestamp,
-    payment_date timestamp,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
+    commit_date timestamp WITH TIME ZONE,
+    payment_date timestamp WITH TIME ZONE,
     device_type_id int,
     del_flg smallint NOT NULL DEFAULT 0,
@@ -604,5 +604,5 @@
     order_addr02 text,
     order_sex smallint,
-    order_birth timestamp,
+    order_birth timestamp WITH TIME ZONE,
     order_job int,
     subtotal numeric,
@@ -624,6 +624,6 @@
     deliv_check smallint,
     point_check smallint,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     device_type_id int,
     del_flg smallint NOT NULL DEFAULT 0,
@@ -665,9 +665,9 @@
     shipping_time text,
     shipping_num text,
-    shipping_date timestamp,
-    shipping_commit_date timestamp,
+    shipping_date timestamp WITH TIME ZONE,
+    shipping_commit_date timestamp WITH TIME ZONE,
     rank int,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     del_flg smallint NOT NULL DEFAULT 0,
     PRIMARY KEY (shipping_id, order_id)
@@ -736,7 +736,7 @@
     del_flg smallint NOT NULL DEFAULT 0,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
-    login_date timestamp,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
+    login_date timestamp WITH TIME ZONE,
     PRIMARY KEY (member_id)
 );
@@ -755,6 +755,6 @@
     keyword text,
     update_url text,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (device_type_id, page_id)
 );
@@ -766,6 +766,6 @@
     tpl_path text,
     filename text NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     php_path text,
     deletable_flg smallint NOT NULL DEFAULT 1,
@@ -793,6 +793,6 @@
     rw_flg smallint DEFAULT 1,
     status smallint NOT NULL DEFAULT 1,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     mb_convert_kana_option text,
     size_const_type text,
@@ -805,6 +805,6 @@
     sql_name text NOT NULL,
     csv_sql text,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (sql_id)
 );
@@ -814,6 +814,6 @@
     device_type_id int NOT NULL,
     template_name text,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (template_code)
 );
@@ -824,6 +824,6 @@
     rank int NOT NULL DEFAULT 0,
     creator_id int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     del_flg smallint NOT NULL DEFAULT 0,
     PRIMARY KEY (maker_id)
@@ -833,5 +833,5 @@
     maker_id int NOT NULL,
     product_count int NOT NULL,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
     PRIMARY KEY (maker_id)
 );
@@ -1109,5 +1109,5 @@
     param_value text,
     url text,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
     PRIMARY KEY (session_id)
 );
@@ -1120,6 +1120,6 @@
     auto_update_flg smallint NOT NULL DEFAULT 0,
     del_flg smallint NOT NULL DEFAULT 0,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (module_id)
 );
@@ -1128,6 +1128,6 @@
     sess_id text NOT NULL,
     sess_data text,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (sess_id)
 );
@@ -1136,5 +1136,5 @@
     bkup_name text,
     bkup_memo text,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
     PRIMARY KEY (bkup_name)
 );
@@ -1157,6 +1157,6 @@
     free_field3 text,
     free_field4 text,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (plugin_id)
 );
@@ -1167,6 +1167,6 @@
     hook_point text NOT NULL,
     callback text,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (plugin_hookpoint_id)
 );
@@ -1189,6 +1189,6 @@
     sub_data text,
     del_flg smallint NOT NULL DEFAULT 0,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (api_config_id)
 );
@@ -1200,6 +1200,6 @@
     enable smallint NOT NULL DEFAULT 0,
     del_flg smallint NOT NULL DEFAULT 0,
-    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
+    create_date timestamp WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp WITH TIME ZONE NOT NULL,
     PRIMARY KEY (api_account_id)
 );
Index: /branches/version-2_12-multilang/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php
===================================================================
--- /branches/version-2_12-multilang/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php	(revision 21867)
+++ /branches/version-2_12-multilang/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php	(revision 22280)
@@ -323,4 +323,5 @@
         $objQuery->exec('SET SESSION storage_engine = InnoDB');
         $objQuery->exec("SET SESSION sql_mode = 'ANSI'");
+        $objQuery->exec("SET TIME_ZONE = '+9:00'");
     }
 }